VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "virtexe"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_19(15:0)
        SIGNAL XLXN_18(15:0)
        SIGNAL XLXN_16(15:0)
        SIGNAL XLXN_15
        SIGNAL XLXN_14(15:0)
        SIGNAL WR_LOOPREGS
        SIGNAL XLXN_12(31:0)
        SIGNAL XLXN_11
        SIGNAL XLXN_10(15:0)
        SIGNAL XLXN_9
        SIGNAL CTL_BUSS(15:0)
        SIGNAL SEQ_ADDRDATA(31:0)
        SIGNAL SEQ_DEVADDR(4:0)
        SIGNAL SEQ_MODE_SEL(1:0)
        SIGNAL SEQ_CTL(29:25)
        SIGNAL SEQ_CTL(31:30)
        SIGNAL SEQ_CTL(24:18)
        SIGNAL TST_CNTR_WRT
        SIGNAL SEQ_BUS_REQ
        SIGNAL BRDSEL(7:0)
        SIGNAL SEQ_CTL(31:18)
        SIGNAL XLXN_43(31:0)
        SIGNAL WRITE_DECODE
        SIGNAL WRT_PGM_MEMORY
        SIGNAL XLXN_214(31:0)
        SIGNAL SEQ_DATA(31:0)
        SIGNAL DEV_ADDR(4:0)
        SIGNAL SEQ_MODE(1:0)
        SIGNAL BRD_SLCT_N(8:2)
        SIGNAL ECHO_REQ
        SIGNAL XLXN_298(31:0)
        SIGNAL FPGAD(15:0)
        SIGNAL FPGA_CTL_3
        SIGNAL FPGA_CTL_4
        SIGNAL FPGA_CTL_5
        SIGNAL WRITE_STROBE
        SIGNAL LOCAL_SYNC
        SIGNAL LOCAL_CMD
        SIGNAL XLXN_312
        SIGNAL XLXN_313
        SIGNAL XLXN_330(31:0)
        SIGNAL FPDP_DATA_VALID
        SIGNAL FPDP_DATA_ACK
        SIGNAL FPDP_DATA(31:0)
        SIGNAL TAD(31:0)
        SIGNAL TA_NRDY_N
        SIGNAL TA_SUSPEND_N
        SIGNAL PIO2_OUT
        SIGNAL PIO1_OUT
        SIGNAL TA_SYNC_N
        SIGNAL TA_ERROR
        SIGNAL TA_DIR_N
        SIGNAL TA_DVALID_N
        SIGNAL TA_STROBE
        SIGNAL PROGRAM_N
        SIGNAL XLXN_213
        SIGNAL XLXN_332
        SIGNAL EXT_RESET
        SIGNAL ASYNC_FLAG
        SIGNAL SOFT_RESET
        SIGNAL SYNC_OKAY
        SIGNAL FPGA_CTL_0
        SIGNAL FPGA_CTL_1
        SIGNAL LOCDATA(2:0)
        SIGNAL XLXN_438
        SIGNAL XLXN_439(2:0)
        SIGNAL MPU_BUS_ACK
        SIGNAL MPU_BUS_REQ
        SIGNAL RA_LINK_N
        SIGNAL LOCAL_SEL
        SIGNAL TP_14
        SIGNAL TP_19
        SIGNAL TP_20
        SIGNAL TP_13
        SIGNAL TP_11
        SIGNAL TP_12
        SIGNAL DQ
        SIGNAL SN_DATA(47:0)
        SIGNAL READ_DECODE
        SIGNAL TST_CNTR_DATA(31:0)
        SIGNAL TST_CNTR_REQ
        SIGNAL XLXN_450
        SIGNAL READ_STROBE
        SIGNAL PIX_WRT_N
        SIGNAL LED_SEQ
        SIGNAL TEMP_DOUT
        SIGNAL XLXN_464
        SIGNAL TEMP_DATA(11:0)
        SIGNAL TP_22
        SIGNAL locaddr(15:0)
        SIGNAL LOCDATA(15:0)
        SIGNAL XLXN_466(15:0)
        SIGNAL START_EXP
        SIGNAL TP_21
        SIGNAL XLXN_481
        SIGNAL SYSCLK
        SIGNAL CLKEN_SEL
        SIGNAL XLXN_70(15:0)
        SIGNAL LOCDATA(31:0)
        SIGNAL CLK3
        SIGNAL CLK2
        SIGNAL CLK8
        SIGNAL CLK7
        SIGNAL CLK6
        SIGNAL CLK5
        SIGNAL CLK4
        SIGNAL XLXN_501
        SIGNAL RESET
        SIGNAL PWR_SYNC
        SIGNAL SEQ_BUS_ACK
        SIGNAL PWR_SYNC_LOCKED
        SIGNAL WRT_ENABLES
        SIGNAL DHE_SYNC
        SIGNAL ps_sync_n
        SIGNAL PSYNC_OUT
        SIGNAL FPGA_CTL_2
        SIGNAL FPGA_CTL_6
        SIGNAL SE
        SIGNAL SN_DATA(31:0)
        SIGNAL XLXN_512(11:0)
        SIGNAL TEMP_DIN
        SIGNAL TEMP_SCLK
        SIGNAL TEMP_CS
        PORT Output SEQ_DATA(31:0)
        PORT Output DEV_ADDR(4:0)
        PORT Output SEQ_MODE(1:0)
        PORT Output BRD_SLCT_N(8:2)
        PORT BiDirectional FPGAD(15:0)
        PORT BiDirectional FPGA_CTL_3
        PORT BiDirectional FPGA_CTL_4
        PORT BiDirectional FPGA_CTL_5
        PORT Input TAD(31:0)
        PORT Output TA_NRDY_N
        PORT Output TA_SUSPEND_N
        PORT Input PIO2_OUT
        PORT Input PIO1_OUT
        PORT Input TA_SYNC_N
        PORT Input TA_ERROR
        PORT Input TA_DIR_N
        PORT Input TA_DVALID_N
        PORT Input TA_STROBE
        PORT Output PROGRAM_N
        PORT Output FPGA_CTL_0
        PORT Output FPGA_CTL_1
        PORT Output RA_LINK_N
        PORT Output TP_14
        PORT Output TP_19
        PORT Output TP_20
        PORT Output TP_13
        PORT Output TP_11
        PORT Output TP_12
        PORT BiDirectional DQ
        PORT Output LED_SEQ
        PORT Input TEMP_DOUT
        PORT Output TP_22
        PORT Output START_EXP
        PORT Output TP_21
        PORT Input SYSCLK
        PORT Output CLK3
        PORT Output CLK2
        PORT Output CLK8
        PORT Output CLK7
        PORT Output CLK6
        PORT Output CLK5
        PORT Output CLK4
        PORT BiDirectional DHE_SYNC
        PORT Output ps_sync_n
        PORT BiDirectional FPGA_CTL_2
        PORT Output FPGA_CTL_6
        PORT Output TEMP_DIN
        PORT Output TEMP_SCLK
        PORT Output TEMP_CS
        BEGIN BLOCKDEF fpga_interface
            TIMESTAMP 2004 5 11 19 3 46
            LINE N 528 304 464 304 
            LINE N 464 240 528 240 
            LINE N 528 48 464 48 
            LINE N 528 -144 464 -144 
            LINE N 528 112 464 112 
            LINE N 528 176 464 176 
            LINE N 528 496 464 496 
            LINE N 0 176 64 176 
            LINE N 0 112 64 112 
            LINE N 0 48 64 48 
            LINE N 0 240 64 240 
            RECTANGLE N 0 228 64 252 
            LINE N 528 -16 464 -16 
            LINE N 464 368 528 368 
            LINE N 464 432 528 432 
            LINE N 528 -80 464 -80 
            RECTANGLE N 464 -92 528 -68 
            LINE N 464 560 528 560 
            RECTANGLE N 464 548 528 572 
            RECTANGLE N 64 -176 464 592 
        END BLOCKDEF
        BEGIN BLOCKDEF Sequencer_Bus_Mux
            TIMESTAMP 2004 5 11 19 1 28
            LINE N 64 -1104 0 -1104 
            LINE N 64 -1040 0 -1040 
            LINE N 64 -976 0 -976 
            LINE N 64 -336 0 -336 
            LINE N 64 -848 0 -848 
            RECTANGLE N 0 -860 64 -836 
            LINE N 64 -784 0 -784 
            RECTANGLE N 0 -796 64 -772 
            LINE N 64 -720 0 -720 
            RECTANGLE N 0 -732 64 -708 
            LINE N 64 -656 0 -656 
            RECTANGLE N 0 -668 64 -644 
            LINE N 64 -208 0 -208 
            RECTANGLE N 0 -220 64 -196 
            LINE N 64 -144 0 -144 
            RECTANGLE N 0 -156 64 -132 
            LINE N 64 -80 0 -80 
            RECTANGLE N 0 -92 64 -68 
            LINE N 64 -16 0 -16 
            RECTANGLE N 0 -28 64 -4 
            LINE N 4 -912 68 -912 
            LINE N 0 -272 64 -272 
            LINE N 560 -592 624 -592 
            RECTANGLE N 560 -604 624 -580 
            LINE N 560 -528 624 -528 
            RECTANGLE N 560 -540 624 -516 
            LINE N 560 -464 624 -464 
            RECTANGLE N 560 -476 624 -452 
            LINE N 560 -400 624 -400 
            RECTANGLE N 560 -412 624 -388 
            RECTANGLE N 64 -1132 560 16 
        END BLOCKDEF
        BEGIN BLOCKDEF PATTERN_GENERATOR
            TIMESTAMP 2004 5 20 1 27 34
            LINE N 64 -208 0 -208 
            LINE N 528 -80 464 -80 
            LINE N 0 -144 64 -144 
            LINE N 64 -272 0 -272 
            LINE N 64 -336 0 -336 
            LINE N 64 -400 0 -400 
            LINE N 528 -144 464 -144 
            RECTANGLE N 464 -156 528 -132 
            LINE N 0 -80 64 -80 
            RECTANGLE N 0 -92 64 -68 
            RECTANGLE N 64 -432 464 -48 
        END BLOCKDEF
        BEGIN BLOCKDEF ClockEnableRegister
            TIMESTAMP 2004 5 11 22 55 12
            LINE N 400 -480 464 -480 
            LINE N 400 -416 464 -416 
            LINE N 400 -352 464 -352 
            LINE N 400 -288 464 -288 
            LINE N 400 -224 464 -224 
            LINE N 400 -160 464 -160 
            LINE N 64 -480 0 -480 
            LINE N 64 -416 0 -416 
            LINE N 64 -352 0 -352 
            LINE N 64 -288 0 -288 
            RECTANGLE N 0 -300 64 -276 
            LINE N 400 -96 464 -96 
            LINE N 0 -224 64 -224 
            RECTANGLE N 0 -236 64 -212 
            RECTANGLE N 64 -512 400 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2001 2 2 12 25 36
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF buf
            TIMESTAMP 2001 2 2 12 22 16
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
            LINE N 64 0 128 -32 
            LINE N 128 -32 64 -64 
            LINE N 64 -64 64 0 
        END BLOCKDEF
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2001 2 2 12 24 11
            LINE N 64 -64 64 -96 
            LINE N 76 -48 52 -48 
            LINE N 68 -32 60 -32 
            LINE N 88 -64 40 -64 
            LINE N 64 -64 64 -80 
            LINE N 64 -128 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF NOAO_tblock
            TIMESTAMP 2004 8 29 16 35 26
            LINE N -96 -96 -1440 -96 
            LINE N -1440 -160 -1440 -96 
            LINE N -96 -160 -1440 -160 
            LINE N -96 -100 -96 -540 
            LINE N -96 -352 -1440 -352 
            LINE N -96 -224 -736 -224 
            LINE N -1440 -544 -96 -544 
            LINE N -1440 -160 -1440 -544 
            LINE N -1440 -224 -96 -224 
            LINE N -1040 -224 -1040 -92 
            LINE N -640 -224 -640 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF fpdp_tm
            TIMESTAMP 2004 5 11 19 4 0
            LINE N 64 -384 0 -384 
            LINE N 64 -448 0 -448 
            LINE N 0 -64 64 -64 
            LINE N 0 -640 64 -640 
            LINE N 528 -448 464 -448 
            LINE N 528 -320 464 -320 
            LINE N 528 -256 464 -256 
            LINE N 64 -256 0 -256 
            LINE N 0 -576 64 -576 
            LINE N 0 -320 64 -320 
            LINE N 0 -512 64 -512 
            LINE N 0 -192 64 -192 
            RECTANGLE N 0 -204 64 -180 
            LINE N 528 -192 464 -192 
            LINE N 528 -128 464 -128 
            LINE N 528 -640 464 -640 
            LINE N 464 -64 528 -64 
            RECTANGLE N 464 -76 528 -52 
            LINE N 464 -512 528 -512 
            LINE N 464 -576 528 -576 
            LINE N 464 -384 528 -384 
            RECTANGLE N 64 -672 464 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF or2
            TIMESTAMP 2001 2 2 12 25 36
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 28 -224 204 -48 112 -48 192 -96 
            ARC N -40 -152 72 -40 48 -48 48 -144 
            LINE N 112 -144 48 -144 
            ARC N 28 -144 204 32 192 -96 112 -144 
            LINE N 112 -48 48 -48 
        END BLOCKDEF
        BEGIN BLOCKDEF bufe
            TIMESTAMP 2001 2 2 12 22 16
            LINE N 64 -64 64 0 
            LINE N 128 -32 64 -64 
            LINE N 64 0 128 -32 
            LINE N 96 -96 64 -96 
            LINE N 96 -48 96 -96 
            LINE N 0 -96 64 -96 
            LINE N 224 -32 128 -32 
            LINE N 0 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF reset_logic
            TIMESTAMP 2004 5 11 19 1 40
            RECTANGLE N 64 -256 464 128 
            LINE N 528 -96 464 -96 
            LINE N 528 -224 464 -224 
            LINE N 528 -32 464 -32 
            LINE N 528 32 464 32 
            LINE N 464 96 528 96 
            LINE N 464 -160 528 -160 
        END BLOCKDEF
        BEGIN BLOCKDEF LedLatchV40
            TIMESTAMP 2004 5 20 0 32 38
            LINE N 64 -160 0 -160 
            LINE N 528 32 464 32 
            LINE N 528 -160 464 -160 
            LINE N 528 -96 464 -96 
            LINE N 528 -32 464 -32 
            LINE N 64 32 0 32 
            RECTANGLE N 0 20 64 44 
            LINE N 0 -32 64 -32 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -224 0 -224 
            LINE N 464 -224 528 -224 
            RECTANGLE N 64 -256 464 64 
        END BLOCKDEF
        BEGIN BLOCKDEF onewire_iface
            TIMESTAMP 2004 5 11 2 7 58
            RECTANGLE N 64 -320 464 -64 
            LINE N 528 -288 464 -288 
            LINE N 528 -224 464 -224 
            LINE N 0 -224 64 -224 
            LINE N 464 -160 528 -160 
            LINE N 0 -160 64 -160 
            RECTANGLE N 0 -172 64 -148 
            LINE N 464 -96 528 -96 
            RECTANGLE N 464 -108 528 -84 
            LINE N 0 -288 64 -288 
        END BLOCKDEF
        BEGIN BLOCKDEF Pan_Command_Decode_V463
            TIMESTAMP 2006 9 13 18 30 36
            LINE N 64 -720 0 -720 
            LINE N 0 48 64 48 
            LINE N 64 112 0 112 
            LINE N 0 -976 64 -976 
            LINE N 544 -848 608 -848 
            LINE N 544 -912 608 -912 
            LINE N 544 -976 608 -976 
            RECTANGLE N 544 -988 608 -964 
            LINE N 0 -336 64 -336 
            LINE N 0 -16 64 -16 
            LINE N 544 -144 608 -144 
            LINE N 544 -784 608 -784 
            LINE N 544 -720 608 -720 
            LINE N 544 -656 608 -656 
            RECTANGLE N 544 -668 608 -644 
            LINE N 544 -592 608 -592 
            RECTANGLE N 544 -604 608 -580 
            LINE N 0 -592 64 -592 
            LINE N 64 -784 0 -784 
            LINE N 64 -656 0 -656 
            LINE N 608 -464 544 -464 
            LINE N 604 -80 544 -80 
            RECTANGLE N 0 -540 64 -516 
            LINE N 0 -528 64 -528 
            LINE N 544 -528 608 -528 
            LINE N 544 -272 608 -272 
            RECTANGLE N 544 -284 608 -260 
            LINE N 544 -336 608 -336 
            RECTANGLE N 544 -348 608 -324 
            LINE N 544 -400 608 -400 
            RECTANGLE N 544 -412 608 -388 
            LINE N 544 -208 608 -208 
            RECTANGLE N 544 -220 608 -196 
            RECTANGLE N 64 -1008 544 144 
        END BLOCKDEF
        BEGIN BLOCKDEF personality_modulev463
            TIMESTAMP 2008 8 20 17 13 7
            LINE N 752 64 816 64 
            LINE N 752 96 816 96 
            LINE N 816 -32 752 -32 
            RECTANGLE N 752 -44 816 -20 
            LINE N 752 -96 816 -96 
            LINE N 752 -960 816 -960 
            LINE N 816 -704 752 -704 
            RECTANGLE N 752 -716 816 -692 
            LINE N 816 -160 752 -160 
            RECTANGLE N 752 -172 816 -148 
            LINE N 752 -224 816 -224 
            LINE N 816 -896 752 -896 
            LINE N 816 32 752 32 
            LINE N 752 -528 816 -528 
            LINE N 752 -336 816 -336 
            LINE N 176 -1168 112 -1168 
            RECTANGLE N 112 -1180 176 -1156 
            LINE N 112 -1120 176 -1120 
            RECTANGLE N 112 -1132 176 -1108 
            LINE N 176 -880 112 -880 
            RECTANGLE N 112 -588 176 -564 
            LINE N 176 -832 112 -832 
            RECTANGLE N 112 -844 176 -820 
            LINE N 112 -576 176 -576 
            LINE N 816 -1088 752 -1088 
            LINE N 816 -1152 752 -1152 
            RECTANGLE N 752 -1164 816 -1140 
            LINE N 752 -1024 816 -1024 
            LINE N 752 -400 816 -400 
            LINE N 176 -1024 112 -1024 
            RECTANGLE N 112 -1036 176 -1012 
            LINE N 176 -928 112 -928 
            RECTANGLE N 112 -940 176 -916 
            LINE N 176 -736 112 -736 
            RECTANGLE N 112 -748 176 -724 
            LINE N 176 -640 112 -640 
            RECTANGLE N 112 -652 176 -628 
            LINE N 112 -1072 176 -1072 
            LINE N 112 -976 176 -976 
            LINE N 112 -784 176 -784 
            LINE N 752 -464 812 -464 
            RECTANGLE N 752 -476 816 -452 
            LINE N 176 -512 112 -512 
            RECTANGLE N 112 -524 176 -500 
            LINE N 176 -64 112 -64 
            LINE N 176 0 112 0 
            LINE N 176 64 112 64 
            RECTANGLE N 112 52 176 76 
            LINE N 176 -384 112 -384 
            RECTANGLE N 112 -396 176 -372 
            LINE N 176 -448 112 -448 
            LINE N 176 -192 112 -192 
            LINE N 176 -320 112 -320 
            RECTANGLE N 112 -268 176 -244 
            LINE N 112 -256 176 -256 
            LINE N 176 -128 112 -128 
            RECTANGLE N 112 -460 176 -436 
            RECTANGLE N 176 -1200 752 160 
            LINE N 112 128 176 128 
        END BLOCKDEF
        BEGIN BLOCKDEF powersyncgen_v464
            TIMESTAMP 2007 4 3 12 56 22
            LINE N 320 32 384 32 
            LINE N 320 -160 384 -160 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            RECTANGLE N 64 -192 320 64 
        END BLOCKDEF
        BEGIN BLOCKDEF seq_mpuv465
            TIMESTAMP 2007 8 6 16 8 59
            LINE N 720 112 784 112 
            LINE N 784 -848 720 -848 
            LINE N 720 -800 784 -800 
            RECTANGLE N 720 -812 784 -788 
            LINE N 784 -912 720 -912 
            LINE N 784 -704 720 -704 
            LINE N 784 -416 720 -416 
            LINE N 784 -512 720 -512 
            LINE N 784 -608 720 -608 
            LINE N 64 -352 0 -352 
            LINE N 720 -464 784 -464 
            RECTANGLE N 720 -476 784 -452 
            LINE N 720 -560 784 -560 
            RECTANGLE N 720 -572 784 -548 
            LINE N 720 -656 784 -656 
            RECTANGLE N 720 -668 784 -644 
            LINE N 720 -752 784 -752 
            RECTANGLE N 720 -764 784 -740 
            LINE N 720 -272 784 -272 
            RECTANGLE N 720 -284 784 -260 
            LINE N 720 -368 784 -368 
            RECTANGLE N 720 -380 784 -356 
            RECTANGLE N 0 -236 64 -212 
            LINE N 0 -288 64 -288 
            RECTANGLE N 0 -300 64 -276 
            LINE N 0 -416 64 -416 
            LINE N 720 -208 784 -208 
            RECTANGLE N 720 -220 784 -196 
            LINE N 0 -224 64 -224 
            LINE N 720 -144 784 -144 
            RECTANGLE N 720 -156 784 -132 
            LINE N 784 -16 720 -16 
            RECTANGLE N 720 -28 784 -4 
            LINE N 784 -80 720 -80 
            RECTANGLE N 720 -92 784 -68 
            LINE N 784 48 720 48 
            LINE N 0 -912 64 -912 
            RECTANGLE N 64 -960 720 160 
            LINE N 64 -720 0 -720 
            LINE N 0 -656 64 -656 
            LINE N 0 -848 64 -848 
            LINE N 64 -784 0 -784 
        END BLOCKDEF
        BEGIN BLOCKDEF tempsensor_v467
            TIMESTAMP 2008 8 20 23 12 3
            LINE N 528 -160 464 -160 
            LINE N 528 -96 464 -96 
            LINE N 64 -32 0 -32 
            LINE N 0 -96 64 -96 
            LINE N 0 -160 64 -160 
            LINE N 464 -32 528 -32 
            RECTANGLE N 464 -44 528 -20 
            RECTANGLE N 64 -192 464 64 
            LINE N 0 32 64 32 
        END BLOCKDEF
        BLOCK XLXI_32 NOAO_tblock
        BEGIN BLOCK mpu seq_mpuv465
            PIN SYSCLK SYSCLK
            PIN WR_INT_REG XLXN_11
            PIN WR_PAT XLXN_15
            PIN WR_PROG WRT_PGM_MEMORY
            PIN SEQ_BUS_ACK MPU_BUS_ACK
            PIN CTL_RST RESET
            PIN WR_CMD_REG XLXN_9
            PIN WR_LOOP_REGS WR_LOOPREGS
            PIN DATA_ALL_IN(31:0) LOCDATA(31:0)
            PIN ADDR_IN(15:0) locaddr(15:0)
            PIN SE SE
            PIN DATA_CTL_REG(15:0) CTL_BUSS(15:0)
            PIN SYNC_DHE DHE_SYNC
            PIN SE_READY FPGA_CTL_2
            PIN SEQ_PAT(31:0) XLXN_43(31:0)
            PIN DATA_LOOP_REGS(15:0) XLXN_14(15:0)
            PIN DATA_INT_REG(31:0) XLXN_12(31:0)
            PIN DATA_CMD_REG(15:0) XLXN_10(15:0)
            PIN SEQ_BUS_REQ MPU_BUS_REQ
            PIN SEQ_CTL(31:18) SEQ_CTL(31:18)
            PIN DATA_PROG(15:0) XLXN_18(15:0)
            PIN DATA_PAT(15:0) XLXN_16(15:0)
            PIN STA_REG(15:0) XLXN_19(15:0)
            PIN WRT_ENABLES WRT_ENABLES
            PIN INT_CNTR(31:0) XLXN_214(31:0)
            PIN MPU_EVENT(15:0) XLXN_466(15:0)
            PIN PWR_SYNC PSYNC_OUT
            PIN SE_OUT START_EXP
        END BLOCK
        BEGIN BLOCK SeqBusMux Sequencer_Bus_Mux
            PIN clk SYSCLK
            PIN rst RESET
            PIN seq_bus_req MPU_BUS_REQ
            PIN dhe_bus_req SEQ_BUS_REQ
            PIN seq_addrdata_in(31:0) XLXN_43(31:0)
            PIN seq_dev_addr_in(4:0) SEQ_CTL(29:25)
            PIN seq_mode_in(1:0) SEQ_CTL(31:30)
            PIN seq_board_sel_in(6:0) SEQ_CTL(24:18)
            PIN dhe_addrdata_in(31:0) SEQ_ADDRDATA(31:0)
            PIN dhe_dev_addr_in(4:0) SEQ_DEVADDR(4:0)
            PIN dhe_mode_in(1:0) SEQ_MODE_SEL(1:0)
            PIN dhe_board_sel_in(7:0) BRDSEL(7:0)
            PIN seq_bus_ack MPU_BUS_ACK
            PIN dhe_bus_ack SEQ_BUS_ACK
            PIN bus_addrdata_out(31:0) SEQ_DATA(31:0)
            PIN bus_dev_addr_out(4:0) DEV_ADDR(4:0)
            PIN bus_mode_out(1:0) SEQ_MODE(1:0)
            PIN bus_board_sel_out(8:2) BRD_SLCT_N(8:2)
        END BLOCK
        BEGIN BLOCK FpgaInterface fpga_interface
            PIN write WRITE_STROBE
            PIN sync_in LOCAL_SYNC
            PIN cmd_in LOCAL_CMD
            PIN sysclk SYSCLK
            PIN reset RESET
            PIN read XLXN_313
            PIN cmd_ack XLXN_312
            PIN data_in(31:0) XLXN_330(31:0)
            PIN fpga_sync FPGA_CTL_3
            PIN fpga_req_n FPGA_CTL_4
            PIN fpga_ack_n FPGA_CTL_5
            PIN fpga_data(15:0) FPGAD(15:0)
            PIN data_rdy XLXN_313
            PIN sync_out
            PIN cmd_rdy XLXN_312
            PIN data_out(31:0)
        END BLOCK
        BEGIN BLOCK FPDPInterface fpdp_tm
            PIN tstrobe TA_STROBE
            PIN tdvalid_n TA_DVALID_N
            PIN tdir_n TA_DIR_N
            PIN terror TA_ERROR
            PIN tsync_n TA_SYNC_N
            PIN pio1_out PIO1_OUT
            PIN pio2_out PIO2_OUT
            PIN reset_in RESET
            PIN sysclk SYSCLK
            PIN rd FPDP_DATA_ACK
            PIN data_in(31:0) TAD(31:0)
            PIN tsuspend_n TA_SUSPEND_N
            PIN tnrdy_n TA_NRDY_N
            PIN sync
            PIN dir
            PIN data_rdy FPDP_DATA_VALID
            PIN err
            PIN reset_out EXT_RESET
            PIN data_out(31:0) FPDP_DATA(31:0)
        END BLOCK
        BEGIN BLOCK XLXI_54 bufe
            PIN E XLXN_213
            PIN I XLXN_332
            PIN O PROGRAM_N
        END BLOCK
        BEGIN BLOCK XLXI_55 gnd
            PIN G XLXN_332
        END BLOCK
        BEGIN BLOCK ResetLogic reset_logic
            PIN sysclk SYSCLK
            PIN ext_rst_in EXT_RESET
            PIN rst_cmd SOFT_RESET
            PIN sync_rcvd SYNC_OKAY
            PIN async_flag ASYNC_FLAG
            PIN reset_out RESET
        END BLOCK
        BEGIN BLOCK XLXI_31 buf
            PIN I ASYNC_FLAG
            PIN O FPGA_CTL_0
        END BLOCK
        BEGIN BLOCK XLXI_43 or2
            PIN I0 PIX_WRT_N
            PIN I1 LOCAL_SEL
            PIN O FPGA_CTL_1
        END BLOCK
        BEGIN BLOCK XLXI_72 inv
            PIN I RESET
            PIN O RA_LINK_N
        END BLOCK
        BEGIN BLOCK XLXI_48 buf
            PIN I PWR_SYNC_LOCKED
            PIN O TP_19
        END BLOCK
        BEGIN BLOCK XLXI_49 buf
            PIN I PWR_SYNC
            PIN O TP_20
        END BLOCK
        BEGIN BLOCK XLXI_47 buf
            PIN I MPU_BUS_REQ
            PIN O TP_14
        END BLOCK
        BEGIN BLOCK XLXI_61 buf
            PIN I SEQ_BUS_REQ
            PIN O TP_13
        END BLOCK
        BEGIN BLOCK XLXI_59 buf
            PIN I WRT_ENABLES
            PIN O TP_11
        END BLOCK
        BEGIN BLOCK XLXI_60 buf
            PIN I TEMP_DOUT
            PIN O TP_12
        END BLOCK
        BEGIN BLOCK SerialNumInterface onewire_iface
            PIN sys_clk SYSCLK
            PIN sys_reset RESET
            PIN data_valid
            PIN crc_ok
            PIN data(7:0)
            PIN sn_data(47:0) SN_DATA(47:0)
            PIN dq DQ
        END BLOCK
        BEGIN BLOCK patternGenerator PATTERN_GENERATOR
            PIN clk SYSCLK
            PIN rst RESET
            PIN load TST_CNTR_WRT
            PIN data_in(31:0) LOCDATA(31:0)
            PIN data_rdy TST_CNTR_REQ
            PIN data_out(31:0) TST_CNTR_DATA(31:0)
            PIN strt_exp START_EXP
            PIN enable XLXN_450
        END BLOCK
        BEGIN BLOCK XLXI_53 inv
            PIN I PIX_WRT_N
            PIN O READ_STROBE
        END BLOCK
        BEGIN BLOCK LedLatch LedLatchV40
            PIN sysclk SYSCLK
            PIN reset_active ASYNC_FLAG
            PIN led_src_1 FPDP_DATA_VALID
            PIN led_src_2 SEQ_BUS_REQ
            PIN led_src_3 MPU_BUS_REQ
            PIN data_in(2:0) LOCDATA(2:0)
            PIN data_out(2:0) XLXN_439(2:0)
            PIN led_en LED_SEQ
            PIN wrt XLXN_438
        END BLOCK
        BEGIN BLOCK XLXI_51 buf
            PIN I FPGA_CTL_1
            PIN O TP_22
        END BLOCK
        BEGIN BLOCK CommandDecode Pan_Command_Decode_V463
            PIN CLK SYSCLK
            PIN RESET RESET
            PIN DATA_IN_VALID FPDP_DATA_VALID
            PIN SEQ_BUS_ACK SEQ_BUS_ACK
            PIN ASYNC_PENDING ASYNC_FLAG
            PIN DATA_IN(31:0) FPDP_DATA(31:0)
            PIN DATA_IN_RD FPDP_DATA_ACK
            PIN MODE(1:0) SEQ_MODE_SEL(1:0)
            PIN DEVADDR(4:0) SEQ_DEVADDR(4:0)
            PIN ADDRDATA(31:0) SEQ_ADDRDATA(31:0)
            PIN BOARD_SELECT(7:0) BRDSEL(7:0)
            PIN LOCSEL LOCAL_SEL
            PIN SEQ_BUS_REQ SEQ_BUS_REQ
            PIN PIXFIFO_WRT_N PIX_WRT_N
            PIN START_EXP XLXN_501
            PIN ECHO_REQ ECHO_REQ
            PIN WRT WRITE_DECODE
            PIN RD READ_DECODE
            PIN WRT_PROG WRT_PGM_MEMORY
            PIN SYNC_FLAG SYNC_OKAY
            PIN HARD_RST XLXN_213
            PIN SOFT_RST SOFT_RESET
            PIN ECHO_DATA(31:0) XLXN_298(31:0)
            PIN LOCDATA(31:0) LOCDATA(31:0)
            PIN LOCADDR(15:0) locaddr(15:0)
        END BLOCK
        BEGIN BLOCK PersonalityModule personality_modulev463
            PIN SYSCLK SYSCLK
            PIN WRITE WRITE_DECODE
            PIN BOARD_SEL LOCAL_SEL
            PIN TST_CTR_REQ TST_CNTR_REQ
            PIN READ READ_DECODE
            PIN READ_STROBE READ_STROBE
            PIN ECHO_REQ ECHO_REQ
            PIN LED_DATA(2:0) XLXN_439(2:0)
            PIN TEMP_DATA_IN(11:0) TEMP_DATA(11:0)
            PIN SN_DATA(31:0) SN_DATA(31:0)
            PIN ADDRESS(15:0) locaddr(15:0)
            PIN STATUS_REG(15:0) XLXN_19(15:0)
            PIN CLOCKEN_REG(15:0) XLXN_70(15:0)
            PIN TST_CTR_REG(31:0) TST_CNTR_DATA(31:0)
            PIN SEQ_CMD_REG(15:0) XLXN_10(15:0)
            PIN SEQ_INT_REG(31:0) XLXN_12(31:0)
            PIN SEQ_INT_CTR(31:0) XLXN_214(31:0)
            PIN SEQ_LPP_REG(15:0) XLXN_14(15:0)
            PIN SEQ_PAT_MEM(15:0) XLXN_16(15:0)
            PIN SEQ_PGM_MEM(15:0) XLXN_18(15:0)
            PIN ECHO_DATA_IN(31:0) XLXN_298(31:0)
            PIN DATA_IN(15:0) LOCDATA(15:0)
            PIN MPU_EVENTS(15:0) XLXN_466(15:0)
            PIN LED_REG_SEL XLXN_438
            PIN WRITE_STB WRITE_STROBE
            PIN CLOCKEN_SEL CLKEN_SEL
            PIN SEQ_CMD_SEL XLXN_9
            PIN SEQ_INT_SEL XLXN_11
            PIN SEQ_LPP_SEL WR_LOOPREGS
            PIN SEQ_PAT_SEL XLXN_15
            PIN TST_CTR_WRT TST_CNTR_WRT
            PIN TST_CTR_ENB XLXN_450
            PIN TEMP_RD_STB XLXN_464
            PIN SYNC_OUT LOCAL_SYNC
            PIN CMD_OUT LOCAL_CMD
            PIN EXPOSE_START
            PIN FRAME_START
            PIN START_EXP XLXN_481
            PIN DATA_OUT(31:0) XLXN_330(31:0)
            PIN CONTROL_OUT(15:0) CTL_BUSS(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_50 buf
            PIN I START_EXP
            PIN O TP_21
        END BLOCK
        BEGIN BLOCK XLXI_101 or2
            PIN I0 XLXN_481
            PIN I1 XLXN_501
            PIN O SE
        END BLOCK
        BEGIN BLOCK ClkEnablesRegister ClockEnableRegister
            PIN clk SYSCLK
            PIN rst RESET
            PIN wrt CLKEN_SEL
            PIN clk_en_data(15:0) LOCDATA(15:0)
            PIN clk2 CLK2
            PIN clk3 CLK3
            PIN clk4 CLK4
            PIN clk5 CLK5
            PIN clk6 CLK6
            PIN clk7 CLK7
            PIN clk8 CLK8
            PIN clk_data_out(15:0) XLXN_70(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_104 buf
            PIN I PWR_SYNC
            PIN O ps_sync_n
        END BLOCK
        BEGIN BLOCK PwrSyncGen powersyncgen_v464
            PIN SYSCLK SYSCLK
            PIN RESET RESET
            PIN SYNC_IN PSYNC_OUT
            PIN SYNC_OUT PWR_SYNC
            PIN LOCKED PWR_SYNC_LOCKED
        END BLOCK
        BEGIN BLOCK XLXI_90 buf
            PIN I START_EXP
            PIN O FPGA_CTL_6
        END BLOCK
        BEGIN BLOCK TempSensor tempsensor_v467
            PIN SYSCLK SYSCLK
            PIN READ_TEMP XLXN_464
            PIN TEMP_DOUT TEMP_DOUT
            PIN TEMP_DIN TEMP_DIN
            PIN TEMP_SCLK TEMP_SCLK
            PIN TEMP_CS TEMP_CS
            PIN TEMP_DATA(11:0) TEMP_DATA(11:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 7040 5440
        BEGIN DISPLAY 5860 5388 TEXT 08/19/2008
            FONT 32 "Arial"
        END DISPLAY
        BEGIN DISPLAY 6660 5396 TEXT 1
            FONT 32 "Arial"
        END DISPLAY
        INSTANCE XLXI_32 7120 5520 R0
        BEGIN DISPLAY 6148 5264 TEXT "TOP LEVEL DESIGN"
            FONT 48 "Arial"
        END DISPLAY
        BEGIN DISPLAY 5724 5208 TEXT "MONSOON Master Control Board - Sequencer FPGA (U22)"
            FONT 48 "Arial"
        END DISPLAY
        BEGIN DISPLAY 6184 5328 TEXT "Peter Moore"
            FONT 32 "Arial"
        END DISPLAY
        BEGIN DISPLAY 6184 5392 TEXT 4.67
            FONT 32 "Arial"
        END DISPLAY
        BEGIN DISPLAY 6796 5396 TEXT 2
            FONT 32 "Arial"
        END DISPLAY
        BEGIN BRANCH XLXN_19(15:0)
            WIRE 2528 1792 3376 1792
        END BRANCH
        BEGIN BRANCH XLXN_18(15:0)
            WIRE 2528 1728 3376 1728
        END BRANCH
        BEGIN BRANCH XLXN_16(15:0)
            WIRE 2528 1632 3376 1632
        END BRANCH
        BEGIN BRANCH XLXN_15
            WIRE 2528 1584 3376 1584
        END BRANCH
        BEGIN BRANCH XLXN_14(15:0)
            WIRE 2528 1536 3376 1536
        END BRANCH
        BEGIN BRANCH WR_LOOPREGS
            WIRE 2528 1488 3376 1488
        END BRANCH
        BEGIN BRANCH XLXN_12(31:0)
            WIRE 2528 1440 3376 1440
        END BRANCH
        BEGIN BRANCH XLXN_11
            WIRE 2528 1392 3376 1392
        END BRANCH
        BEGIN BRANCH XLXN_10(15:0)
            WIRE 2528 1344 3376 1344
        END BRANCH
        BEGIN BRANCH XLXN_9
            WIRE 2528 1296 3376 1296
        END BRANCH
        BEGIN BRANCH CTL_BUSS(15:0)
            WIRE 2528 1248 2864 1248
            WIRE 2864 1248 3376 1248
            BEGIN DISPLAY 2864 1248 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SEQ_ADDRDATA(31:0)
            WIRE 2432 4192 2608 4192
            WIRE 2608 4192 4592 4192
            BEGIN DISPLAY 2608 4192 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SEQ_DEVADDR(4:0)
            WIRE 2432 4256 2656 4256
            WIRE 2656 4256 4592 4256
            BEGIN DISPLAY 2656 4256 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SEQ_MODE_SEL(1:0)
            WIRE 2432 4320 2640 4320
            WIRE 2640 4320 4592 4320
            BEGIN DISPLAY 2640 4320 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SEQ_CTL(29:25)
            WIRE 4400 3616 4448 3616
            WIRE 4448 3616 4592 3616
            BEGIN DISPLAY 4448 3616 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SEQ_CTL(31:30)
            WIRE 4400 3680 4448 3680
            WIRE 4448 3680 4592 3680
            BEGIN DISPLAY 4448 3680 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SEQ_CTL(24:18)
            WIRE 4400 3744 4432 3744
            WIRE 4432 3744 4592 3744
            BEGIN DISPLAY 4432 3744 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH TST_CNTR_WRT
            WIRE 1600 640 1888 640
            WIRE 1888 640 2160 640
            WIRE 1600 640 1600 1344
            WIRE 1600 1344 1824 1344
            BEGIN DISPLAY 1888 640 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 4304 3744 4400 3744
        BUSTAP 4304 3680 4400 3680
        BUSTAP 4304 3616 4400 3616
        BEGIN BRANCH SEQ_BUS_REQ
            WIRE 2432 4064 2512 4064
            WIRE 2512 4064 4592 4064
            BEGIN DISPLAY 2512 4064 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE SeqBusMux 4592 4400 R0
        END INSTANCE
        BEGIN BRANCH BRDSEL(7:0)
            WIRE 2432 4384 4592 4384
        END BRANCH
        BEGIN BRANCH SEQ_CTL(31:18)
            WIRE 4160 1776 4192 1776
            WIRE 4192 1776 4192 3040
            WIRE 4192 3040 4192 3616
            WIRE 4192 3616 4192 3680
            WIRE 4192 3680 4192 3744
            WIRE 4192 3744 4304 3744
            WIRE 4192 3680 4304 3680
            WIRE 4192 3616 4304 3616
            BEGIN DISPLAY 4192 3040 ATTR Name
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_43(31:0)
            WIRE 4160 1712 4256 1712
            WIRE 4256 1712 4256 3552
            WIRE 4256 3552 4592 3552
        END BRANCH
        BEGIN BRANCH WRITE_DECODE
            WIRE 2432 3872 2528 3872
            WIRE 2528 3872 2880 3872
            WIRE 2528 2176 2880 2176
            WIRE 2880 2176 2880 3872
            BEGIN DISPLAY 2528 3872 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH WRT_PGM_MEMORY
            WIRE 2432 4448 2688 4448
            WIRE 2688 4448 3200 4448
            WIRE 3200 2048 3376 2048
            WIRE 3200 2048 3200 4448
            BEGIN DISPLAY 2688 4448 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_214(31:0)
            WIRE 2528 1200 3376 1200
        END BRANCH
        BEGIN BRANCH SEQ_DATA(31:0)
            WIRE 5216 3808 5408 3808
        END BRANCH
        BEGIN BRANCH DEV_ADDR(4:0)
            WIRE 5216 3872 5408 3872
        END BRANCH
        BEGIN BRANCH SEQ_MODE(1:0)
            WIRE 5216 3936 5408 3936
        END BRANCH
        BEGIN BRANCH BRD_SLCT_N(8:2)
            WIRE 5216 4000 5408 4000
        END BRANCH
        BEGIN BRANCH ECHO_REQ
            WIRE 2432 3680 2448 3680
            WIRE 2448 3680 2688 3680
            WIRE 2528 2368 2688 2368
            WIRE 2688 2368 2688 3680
            BEGIN DISPLAY 2448 3680 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_298(31:0)
            WIRE 2432 3616 2640 3616
            WIRE 2528 2432 2640 2432
            WIRE 2640 2432 2640 3616
        END BRANCH
        BEGIN BRANCH FPGAD(15:0)
            WIRE 448 2224 816 2224
        END BRANCH
        BEGIN BRANCH FPGA_CTL_3
            WIRE 448 2160 816 2160
        END BRANCH
        BEGIN BRANCH FPGA_CTL_4
            WIRE 448 2032 816 2032
        END BRANCH
        BEGIN BRANCH FPGA_CTL_5
            WIRE 448 2096 816 2096
        END BRANCH
        BEGIN INSTANCE FpgaInterface 816 1984 R0
        END INSTANCE
        BEGIN BRANCH WRITE_STROBE
            WIRE 1344 1840 1552 1840
            WIRE 1552 1840 1824 1840
            BEGIN DISPLAY 1552 1840 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LOCAL_SYNC
            WIRE 1344 1968 1552 1968
            WIRE 1552 1968 1824 1968
            BEGIN DISPLAY 1552 1968 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LOCAL_CMD
            WIRE 1344 2032 1552 2032
            WIRE 1552 2032 1824 2032
            BEGIN DISPLAY 1552 2032 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_312
            WIRE 1344 2224 1360 2224
            WIRE 1360 2224 1360 2288
            WIRE 1344 2288 1360 2288
        END BRANCH
        BEGIN BRANCH XLXN_313
            WIRE 1344 2416 1360 2416
            WIRE 1360 2416 1360 2480
            WIRE 1344 2480 1360 2480
        END BRANCH
        BEGIN BRANCH XLXN_330(31:0)
            WIRE 1344 1904 1824 1904
        END BRANCH
        BEGIN INSTANCE FPDPInterface 1344 4256 M0
        END INSTANCE
        BEGIN BRANCH FPDP_DATA_VALID
            WIRE 1344 3936 1456 3936
            WIRE 1456 3936 1824 3936
            BEGIN DISPLAY 1456 3936 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH FPDP_DATA_ACK
            WIRE 1344 4000 1456 4000
            WIRE 1456 4000 1824 4000
            BEGIN DISPLAY 1456 4000 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH FPDP_DATA(31:0)
            WIRE 1344 4064 1456 4064
            WIRE 1456 4064 1824 4064
            BEGIN DISPLAY 1456 4064 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH TAD(31:0)
            WIRE 448 4192 816 4192
        END BRANCH
        BEGIN BRANCH TA_NRDY_N
            WIRE 448 4128 816 4128
        END BRANCH
        BEGIN BRANCH TA_SUSPEND_N
            WIRE 448 4064 816 4064
        END BRANCH
        BEGIN BRANCH PIO2_OUT
            WIRE 448 4000 816 4000
        END BRANCH
        BEGIN BRANCH PIO1_OUT
            WIRE 448 3936 816 3936
        END BRANCH
        BEGIN BRANCH TA_SYNC_N
            WIRE 448 3872 816 3872
        END BRANCH
        BEGIN BRANCH TA_ERROR
            WIRE 448 3808 816 3808
        END BRANCH
        BEGIN BRANCH TA_DIR_N
            WIRE 448 3744 816 3744
        END BRANCH
        BEGIN BRANCH TA_DVALID_N
            WIRE 448 3680 816 3680
        END BRANCH
        BEGIN BRANCH TA_STROBE
            WIRE 448 3616 816 3616
        END BRANCH
        BEGIN BRANCH PROGRAM_N
            WIRE 448 4320 560 4320
        END BRANCH
        BEGIN BRANCH XLXN_213
            WIRE 784 4256 1824 4256
        END BRANCH
        INSTANCE XLXI_54 784 4352 M0
        INSTANCE XLXI_55 864 4608 M0
        BEGIN BRANCH XLXN_332
            WIRE 784 4320 800 4320
            WIRE 800 4320 800 4480
        END BRANCH
        BEGIN INSTANCE ResetLogic 816 4608 R0
        END INSTANCE
        BEGIN BRANCH EXT_RESET
            WIRE 1344 4192 1360 4192
            WIRE 1360 4192 1360 4288
            WIRE 1360 4288 1360 4384
            WIRE 1344 4384 1360 4384
            BEGIN DISPLAY 1360 4288 ATTR Name
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ASYNC_FLAG
            WIRE 784 4848 1472 4848
            WIRE 1344 4704 1472 4704
            WIRE 1472 4704 1504 4704
            WIRE 1504 4704 1824 4704
            WIRE 1472 4704 1472 4848
            BEGIN DISPLAY 1504 4704 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SOFT_RESET
            WIRE 1344 4576 1504 4576
            WIRE 1504 4576 1824 4576
            BEGIN DISPLAY 1504 4576 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SYNC_OKAY
            WIRE 1344 4640 1488 4640
            WIRE 1488 4640 1824 4640
            BEGIN DISPLAY 1488 4640 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH FPGA_CTL_0
            WIRE 448 4848 560 4848
        END BRANCH
        INSTANCE XLXI_31 784 4880 M0
        BEGIN BRANCH FPGA_CTL_1
            WIRE 448 3456 640 3456
            WIRE 640 3456 704 3456
            WIRE 640 3456 640 3536
            WIRE 560 3536 640 3536
        END BRANCH
        INSTANCE XLXI_43 960 3552 M0
        BEGIN BRANCH LOCDATA(2:0)
            WIRE 1344 2976 1520 2976
        END BRANCH
        BEGIN BRANCH XLXN_438
            WIRE 1344 2784 1536 2784
            WIRE 1536 2144 1536 2784
            WIRE 1536 2144 1824 2144
        END BRANCH
        BEGIN BRANCH XLXN_439(2:0)
            WIRE 1344 2912 1600 2912
            WIRE 1600 2208 1600 2912
            WIRE 1600 2208 1824 2208
        END BRANCH
        BEGIN BRANCH MPU_BUS_ACK
            WIRE 4160 1648 4208 1648
            WIRE 4208 1648 4320 1648
            WIRE 4320 1648 4320 3488
            WIRE 4320 3488 4592 3488
            BEGIN DISPLAY 4208 1648 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH MPU_BUS_REQ
            WIRE 4160 1584 4256 1584
            WIRE 4256 1584 4384 1584
            WIRE 4384 1584 4384 3424
            WIRE 4384 3424 4592 3424
            BEGIN DISPLAY 4256 1584 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_72 1200 3392 M0
        BEGIN BRANCH RA_LINK_N
            WIRE 448 3360 976 3360
        END BRANCH
        BEGIN BRANCH LOCAL_SEL
            WIRE 960 3424 2816 3424
            WIRE 2816 3424 2816 3808
            WIRE 2432 3808 2512 3808
            WIRE 2512 3808 2816 3808
            WIRE 2528 2240 2816 2240
            WIRE 2816 2240 2816 3424
            BEGIN DISPLAY 2512 3808 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH TP_14
            WIRE 3776 4800 3888 4800
        END BRANCH
        BEGIN BRANCH TP_19
            WIRE 3776 4880 3888 4880
        END BRANCH
        BEGIN BRANCH TP_20
            WIRE 3776 4960 3888 4960
        END BRANCH
        BEGIN BRANCH TP_13
            WIRE 3776 4720 3888 4720
        END BRANCH
        BEGIN BRANCH TP_11
            WIRE 3776 4560 3888 4560
        END BRANCH
        BEGIN BRANCH TP_12
            WIRE 3776 4640 3888 4640
        END BRANCH
        BEGIN BRANCH MPU_BUS_REQ
            WIRE 4112 4800 4256 4800
            BEGIN DISPLAY 4256 4800 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_48 4112 4912 M0
        INSTANCE XLXI_49 4112 4992 M0
        INSTANCE XLXI_47 4112 4832 M0
        INSTANCE XLXI_61 4112 4752 M0
        INSTANCE XLXI_59 4112 4592 M0
        INSTANCE XLXI_60 4112 4672 M0
        BEGIN INSTANCE SerialNumInterface 816 1760 R0
        END INSTANCE
        BEGIN BRANCH DQ
            WIRE 448 1472 816 1472
        END BRANCH
        BEGIN BRANCH SN_DATA(47:0)
            WIRE 1344 1664 1456 1664
            WIRE 1456 1664 1552 1664
            BEGIN DISPLAY 1456 1664 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH READ_DECODE
            WIRE 2432 3744 2528 3744
            WIRE 2528 3744 2752 3744
            WIRE 2528 2304 2752 2304
            WIRE 2752 2304 2752 3744
            BEGIN DISPLAY 2528 3744 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE patternGenerator 2160 848 R0
        END INSTANCE
        BEGIN BRANCH TST_CNTR_DATA(31:0)
            WIRE 1728 768 2160 768
            WIRE 1728 768 1728 1216
            WIRE 1728 1216 1824 1216
        END BRANCH
        BEGIN BRANCH TST_CNTR_REQ
            WIRE 1664 704 2160 704
            WIRE 1664 704 1664 1280
            WIRE 1664 1280 1824 1280
        END BRANCH
        BEGIN BRANCH XLXN_450
            WIRE 1536 576 2160 576
            WIRE 1536 576 1536 1408
            WIRE 1536 1408 1824 1408
        END BRANCH
        BEGIN BRANCH READ_STROBE
            WIRE 1792 2400 1824 2400
            WIRE 1792 2400 1792 3136
        END BRANCH
        BEGIN BRANCH PIX_WRT_N
            WIRE 960 3488 1216 3488
            WIRE 1216 3488 1792 3488
            WIRE 1792 3488 1792 3616
            WIRE 1792 3616 1824 3616
            WIRE 1792 3360 1792 3488
            BEGIN DISPLAY 1216 3488 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_53 1824 3360 R270
        BEGIN BRANCH ASYNC_FLAG
            WIRE 608 2784 720 2784
            WIRE 720 2784 816 2784
            BEGIN DISPLAY 720 2784 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH FPDP_DATA_VALID
            WIRE 608 2848 720 2848
            WIRE 720 2848 816 2848
            BEGIN DISPLAY 720 2848 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SEQ_BUS_REQ
            WIRE 608 2912 720 2912
            WIRE 720 2912 816 2912
            BEGIN DISPLAY 720 2912 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH MPU_BUS_REQ
            WIRE 608 2976 720 2976
            WIRE 720 2976 816 2976
            BEGIN DISPLAY 720 2976 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LED_SEQ
            WIRE 448 2720 816 2720
        END BRANCH
        BEGIN INSTANCE LedLatch 1344 2944 M0
        END INSTANCE
        BUSTAP 1616 2976 1520 2976
        BEGIN BRANCH TP_22
            WIRE 224 3536 336 3536
        END BRANCH
        INSTANCE XLXI_51 560 3568 M0
        BEGIN BRANCH locaddr(15:0)
            WIRE 2432 3936 3264 3936
            WIRE 2528 1920 3264 1920
            WIRE 3264 1920 3264 3936
            WIRE 3264 1920 3376 1920
        END BRANCH
        BUSTAP 2752 1984 2656 1984
        BEGIN BRANCH LOCDATA(15:0)
            WIRE 2528 1984 2608 1984
            WIRE 2608 1984 2656 1984
            BEGIN DISPLAY 2608 1984 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_466(15:0)
            WIRE 2528 1856 3376 1856
        END BRANCH
        BEGIN INSTANCE CommandDecode 1824 4592 R0
        END INSTANCE
        BEGIN INSTANCE PersonalityModule 2640 2368 M0
        END INSTANCE
        BEGIN BRANCH TP_21
            WIRE 1056 96 1168 96
        END BRANCH
        INSTANCE XLXI_50 1392 128 M0
        INSTANCE XLXI_101 3008 2304 M270
        BEGIN BRANCH XLXN_481
            WIRE 2528 2496 2592 2496
            WIRE 2592 2496 2592 2560
            WIRE 2592 2560 3072 2560
            WIRE 3072 2304 3072 2560
        END BRANCH
        BEGIN BRANCH CLKEN_SEL
            WIRE 2528 2048 3008 2048
            WIRE 3008 2048 3008 2496
            WIRE 3008 2496 4656 2496
        END BRANCH
        BEGIN BRANCH XLXN_70(15:0)
            WIRE 2528 2112 2944 2112
            WIRE 2944 2112 2944 2624
            WIRE 2944 2624 4656 2624
        END BRANCH
        BEGIN INSTANCE ClkEnablesRegister 4656 2848 R0
        END INSTANCE
        BEGIN BRANCH LOCDATA(31:0)
            WIRE 1616 2976 3328 2976
            WIRE 3328 2976 3328 4000
            WIRE 2432 4000 3328 4000
            WIRE 2688 704 4448 704
            WIRE 4448 704 4448 2560
            WIRE 4448 2560 4592 2560
            WIRE 2752 1984 3328 1984
            WIRE 3328 1984 3376 1984
            WIRE 3328 1984 3328 2560
            WIRE 3328 2560 3968 2560
            WIRE 3968 2560 4448 2560
            WIRE 3328 2560 3328 2976
            BEGIN DISPLAY 3968 2560 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH CLK3
            WIRE 5120 2432 5408 2432
        END BRANCH
        BEGIN BRANCH CLK2
            WIRE 5120 2368 5408 2368
        END BRANCH
        BUSTAP 4592 2560 4640 2560
        BEGIN BRANCH LOCDATA(15:0)
            WIRE 4640 2560 4656 2560
        END BRANCH
        BEGIN BRANCH CLK8
            WIRE 5120 2752 5408 2752
        END BRANCH
        BEGIN BRANCH CLK7
            WIRE 5120 2688 5408 2688
        END BRANCH
        BEGIN BRANCH CLK6
            WIRE 5120 2624 5408 2624
        END BRANCH
        BEGIN BRANCH CLK5
            WIRE 5120 2560 5408 2560
        END BRANCH
        BEGIN BRANCH CLK4
            WIRE 5120 2496 5408 2496
        END BRANCH
        BEGIN BRANCH XLXN_501
            WIRE 2432 4512 3136 4512
            WIRE 3136 2304 3136 4512
        END BRANCH
        BEGIN BRANCH PWR_SYNC
            WIRE 4112 4960 4256 4960
            BEGIN DISPLAY 4256 4960 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SEQ_BUS_ACK
            WIRE 2432 4128 2544 4128
            WIRE 2544 4128 4592 4128
            BEGIN DISPLAY 2544 4128 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PWR_SYNC_LOCKED
            WIRE 4112 4880 4272 4880
            BEGIN DISPLAY 4272 4880 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH WRT_ENABLES
            WIRE 4112 4560 4256 4560
            BEGIN DISPLAY 4256 4560 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH WRT_ENABLES
            WIRE 3344 2112 3376 2112
            WIRE 3344 2112 3344 2272
            WIRE 3344 2272 3504 2272
            BEGIN DISPLAY 3504 2272 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SEQ_BUS_REQ
            WIRE 4112 4720 4288 4720
            BEGIN DISPLAY 4288 4720 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        IOMARKER 5408 3808 SEQ_DATA(31:0) R0 28
        IOMARKER 5408 3872 DEV_ADDR(4:0) R0 28
        IOMARKER 5408 3936 SEQ_MODE(1:0) R0 28
        IOMARKER 5408 4000 BRD_SLCT_N(8:2) R0 28
        IOMARKER 448 2224 FPGAD(15:0) R180 28
        IOMARKER 448 2160 FPGA_CTL_3 R180 28
        IOMARKER 448 2096 FPGA_CTL_5 R180 28
        IOMARKER 448 2032 FPGA_CTL_4 R180 28
        IOMARKER 448 3456 FPGA_CTL_1 R180 28
        IOMARKER 448 3616 TA_STROBE R180 28
        IOMARKER 448 3680 TA_DVALID_N R180 28
        IOMARKER 448 3744 TA_DIR_N R180 28
        IOMARKER 448 3808 TA_ERROR R180 28
        IOMARKER 448 3872 TA_SYNC_N R180 28
        IOMARKER 448 3936 PIO1_OUT R180 28
        IOMARKER 448 4000 PIO2_OUT R180 28
        IOMARKER 448 4064 TA_SUSPEND_N R180 28
        IOMARKER 448 4128 TA_NRDY_N R180 28
        IOMARKER 448 4192 TAD(31:0) R180 28
        IOMARKER 448 4320 PROGRAM_N R180 28
        IOMARKER 448 4848 FPGA_CTL_0 R180 28
        IOMARKER 448 3360 RA_LINK_N R180 28
        IOMARKER 3776 4880 TP_19 R180 28
        IOMARKER 3776 4960 TP_20 R180 28
        IOMARKER 3776 4800 TP_14 R180 28
        IOMARKER 3776 4720 TP_13 R180 28
        IOMARKER 3776 4640 TP_12 R180 28
        IOMARKER 3776 4560 TP_11 R180 28
        IOMARKER 448 1472 DQ R180 28
        IOMARKER 448 976 SYSCLK R180 28
        IOMARKER 448 2720 LED_SEQ R180 28
        IOMARKER 224 3536 TP_22 R180 28
        IOMARKER 1056 96 TP_21 R180 28
        IOMARKER 5408 2368 CLK2 R0 28
        IOMARKER 5408 2432 CLK3 R0 28
        IOMARKER 5408 2496 CLK4 R0 28
        IOMARKER 5408 2560 CLK5 R0 28
        IOMARKER 5408 2624 CLK6 R0 28
        IOMARKER 5408 2688 CLK7 R0 28
        IOMARKER 5408 2752 CLK8 R0 28
        BEGIN BRANCH DHE_SYNC
            WIRE 4160 1088 5408 1088
        END BRANCH
        BEGIN INSTANCE mpu 4160 2000 M0
        END INSTANCE
        IOMARKER 5408 1088 DHE_SYNC R0 28
        BEGIN BRANCH SE
            WIRE 3104 1152 3104 1600
            WIRE 3104 1600 3104 2048
            WIRE 3104 1152 3376 1152
            BEGIN DISPLAY 3104 1600 ATTR Name
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH RESET
            WIRE 1200 3360 1424 3360
            WIRE 1424 3360 1424 3872
            WIRE 1424 3872 1488 3872
            WIRE 1488 3872 1824 3872
            WIRE 1424 3872 1424 4448
            WIRE 1344 1536 1424 1536
            WIRE 1424 1536 1424 2160
            WIRE 1424 2160 1424 3360
            WIRE 1344 2160 1424 2160
            WIRE 1344 3872 1424 3872
            WIRE 1344 4448 1424 4448
            WIRE 1424 448 2160 448
            WIRE 1424 448 1424 912
            WIRE 1424 912 1424 1536
            WIRE 1424 912 4576 912
            WIRE 4576 912 4576 1280
            WIRE 4576 1280 4576 2432
            WIRE 4576 2432 4656 2432
            WIRE 4576 2432 4576 3360
            WIRE 4576 3360 4592 3360
            WIRE 4576 1280 4912 1280
            WIRE 4160 1280 4576 1280
            BEGIN DISPLAY 1488 3872 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ps_sync_n
            WIRE 5632 1280 5952 1280
        END BRANCH
        BEGIN BRANCH PWR_SYNC
            WIRE 5296 1280 5408 1280
        END BRANCH
        BEGIN BRANCH PWR_SYNC_LOCKED
            WIRE 5296 1472 5456 1472
            BEGIN DISPLAY 5456 1472 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PSYNC_OUT
            WIRE 4160 1344 4912 1344
        END BRANCH
        INSTANCE XLXI_104 5408 1312 R0
        BEGIN INSTANCE PwrSyncGen 4912 1440 R0
        END INSTANCE
        IOMARKER 5952 1280 ps_sync_n R0 28
        IOMARKER 4656 768 START_EXP R0 28
        BEGIN BRANCH FPGA_CTL_2
            WIRE 4160 1216 4656 1216
        END BRANCH
        IOMARKER 4656 1216 FPGA_CTL_2 R0 28
        BEGIN BRANCH START_EXP
            WIRE 1392 96 1440 96
            WIRE 1440 96 1440 272
            WIRE 1440 272 3104 272
            WIRE 3104 272 3104 768
            WIRE 3104 768 4208 768
            WIRE 4208 768 4656 768
            WIRE 4208 768 4208 1152
            WIRE 1392 272 1440 272
            WIRE 2688 768 2944 768
            WIRE 2944 768 3104 768
            WIRE 4160 1152 4208 1152
            BEGIN DISPLAY 2944 768 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH FPGA_CTL_6
            WIRE 1056 272 1168 272
        END BRANCH
        IOMARKER 1056 272 FPGA_CTL_6 R180 28
        INSTANCE XLXI_90 1392 304 M0
        BEGIN BRANCH TEMP_DOUT
            WIRE 4112 4640 4256 4640
            BEGIN DISPLAY 4256 4640 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BUSTAP 1552 1664 1648 1664
        BEGIN BRANCH SN_DATA(31:0)
            WIRE 1648 1664 1728 1664
            WIRE 1728 1664 1824 1664
            BEGIN DISPLAY 1728 1664 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SYSCLK
            WIRE 448 976 1168 976
            WIRE 1168 976 1472 976
            WIRE 1472 976 3360 976
            WIRE 3360 976 3360 1088
            WIRE 3360 1088 3376 1088
            WIRE 3360 976 4512 976
            WIRE 4512 976 4512 1408
            WIRE 4512 1408 4512 2368
            WIRE 4512 2368 4656 2368
            WIRE 4512 2368 4512 3296
            WIRE 4512 3296 4592 3296
            WIRE 4512 1408 4912 1408
            WIRE 1472 976 1472 1472
            WIRE 1472 1472 1824 1472
            WIRE 1472 1472 1472 2096
            WIRE 1472 2096 1472 2720
            WIRE 1472 2720 1472 3088
            WIRE 1472 3088 1472 3808
            WIRE 1472 3808 1472 4512
            WIRE 1472 3808 1824 3808
            WIRE 1344 1472 1472 1472
            WIRE 1344 2096 1472 2096
            WIRE 1344 2720 1472 2720
            WIRE 1344 3088 1472 3088
            WIRE 1344 3808 1472 3808
            WIRE 1344 4512 1472 4512
            WIRE 1472 512 2160 512
            WIRE 1472 512 1472 976
            BEGIN DISPLAY 1168 976 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH TEMP_DIN
            WIRE 448 3216 816 3216
        END BRANCH
        BEGIN BRANCH TEMP_DOUT
            WIRE 448 3152 816 3152
        END BRANCH
        BEGIN BRANCH TEMP_SCLK
            WIRE 448 3088 816 3088
        END BRANCH
        BEGIN INSTANCE TempSensor 816 3248 R0
        END INSTANCE
        IOMARKER 448 3152 TEMP_DOUT R180 28
        IOMARKER 448 3088 TEMP_SCLK R180 28
        IOMARKER 448 3216 TEMP_DIN R180 28
        BEGIN BRANCH XLXN_464
            WIRE 1344 3152 1664 3152
            WIRE 1664 2272 1824 2272
            WIRE 1664 2272 1664 3152
        END BRANCH
        BEGIN BRANCH TEMP_DATA(11:0)
            WIRE 1344 3216 1728 3216
            WIRE 1728 2336 1824 2336
            WIRE 1728 2336 1728 3216
        END BRANCH
        BEGIN BRANCH TEMP_CS
            WIRE 448 3280 816 3280
        END BRANCH
        IOMARKER 448 3280 TEMP_CS R180 28
    END SHEET
END SCHEMATIC
