VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "virtexe"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL SYSCLK
        SIGNAL WR_INT_REG
        SIGNAL SEQ_PAT(31:0)
        SIGNAL WR_PAT
        SIGNAL WR_PROG
        SIGNAL DATA_LOOP_REGS(15:0)
        SIGNAL DATA_INT_REG(31:0)
        SIGNAL DATA_CMD_REG(15:0)
        SIGNAL LCSPtr(5:0)
        SIGNAL LCSWriteData(15:0)
        SIGNAL LASReadData(11:0)
        SIGNAL AddrWrite
        SIGNAL AddrStkWrData(11:0)
        SIGNAL AddrStkRdData(11:0)
        SIGNAL LASWriteData(11:0)
        SIGNAL LCSReadData(15:0)
        SIGNAL LSWrite
        SIGNAL SEQ_BUS_REQ
        SIGNAL SEQ_BUS_ACK
        SIGNAL CTL_RST
        SIGNAL AddrStackPtr(5:0)
        SIGNAL SEQ_CTL(31:18)
        SIGNAL WR_CMD_REG
        SIGNAL WR_LOOP_REGS
        SIGNAL DATA_ALL_IN(15:0)
        SIGNAL DATA_PROG(15:0)
        SIGNAL DATA_PAT(15:0)
        SIGNAL DATA_ALL_IN(31:0)
        SIGNAL ADDR_IN(15:0)
        SIGNAL TC
        SIGNAL LoopReg0(15:0)
        SIGNAL LoopReg1(15:0)
        SIGNAL LoopReg2(15:0)
        SIGNAL LoopReg3(15:0)
        SIGNAL LoopReg4(15:0)
        SIGNAL LoopReg5(15:0)
        SIGNAL LoopReg6(15:0)
        SIGNAL LoopReg7(15:0)
        SIGNAL LoopReg8(15:0)
        SIGNAL LoopReg9(15:0)
        SIGNAL LoopReg10(15:0)
        SIGNAL LoopReg11(15:0)
        SIGNAL LoopReg12(15:0)
        SIGNAL LoopReg13(15:0)
        SIGNAL LoopReg14(15:0)
        SIGNAL LoopReg15(15:0)
        SIGNAL STA_REG(15:0)
        SIGNAL OPCODEH(15:0)
        SIGNAL ProgPtrA(9:0)
        SIGNAL ProgPtrB(9:0)
        SIGNAL SeqCLK
        SIGNAL SE
        SIGNAL WRT_ENABLES
        SIGNAL SYNC_DHE
        SIGNAL SE_RST
        SIGNAL ENABLE_INT
        SIGNAL INT_CNTR(31:0)
        SIGNAL SeqCLK0
        SIGNAL PatWrData(10:0)
        SIGNAL PatRdData(10:0)
        SIGNAL DATA_CTL_REG(0)
        SIGNAL AUTOCANCEL
        SIGNAL DATA_CTL_REG(3:2)
        SIGNAL SYNC_FLAG
        SIGNAL SYNC_EFR
        SIGNAL DATA_CTL_REG(15:0)
        SIGNAL DATA_CTL_REG(1)
        SIGNAL SEQ_PAT(15:0)
        SIGNAL PatMemPtr(10:0)
        SIGNAL ADDR_IN(11:0)
        SIGNAL ADDR_IN(3:0)
        SIGNAL MPU_EVENT(15:0)
        SIGNAL LocalSelect
        SIGNAL SEQ_CTL(31:30)
        SIGNAL PWR_SYNC
        SIGNAL DATA_CTL_REG(4)
        SIGNAL SE_READY
        SIGNAL SE_OUT
        PORT Input SYSCLK
        PORT Input WR_INT_REG
        PORT Output SEQ_PAT(31:0)
        PORT Input WR_PAT
        PORT Input WR_PROG
        PORT Output DATA_LOOP_REGS(15:0)
        PORT Output DATA_INT_REG(31:0)
        PORT Output DATA_CMD_REG(15:0)
        PORT Output SEQ_BUS_REQ
        PORT Input SEQ_BUS_ACK
        PORT Input CTL_RST
        PORT Output SEQ_CTL(31:18)
        PORT Input WR_CMD_REG
        PORT Input WR_LOOP_REGS
        PORT Output DATA_PROG(15:0)
        PORT Output DATA_PAT(15:0)
        PORT Input DATA_ALL_IN(31:0)
        PORT Input ADDR_IN(15:0)
        PORT Output STA_REG(15:0)
        PORT Input SE
        PORT Output WRT_ENABLES
        PORT BiDirectional SYNC_DHE
        PORT Output INT_CNTR(31:0)
        PORT Input DATA_CTL_REG(15:0)
        PORT Output MPU_EVENT(15:0)
        PORT Output PWR_SYNC
        PORT BiDirectional SE_READY
        PORT Output SE_OUT
        BEGIN BLOCKDEF Address_Stack
            TIMESTAMP 2004 5 14 1 55 8
            RECTANGLE N -80 -256 236 80 
            LINE N -80 -224 -144 -224 
            LINE N -80 -160 -144 -160 
            LINE N -80 -96 -144 -96 
            RECTANGLE N -144 -108 -80 -84 
            LINE N -80 -32 -144 -32 
            RECTANGLE N -144 -44 -80 -20 
            LINE N -144 32 -80 32 
            RECTANGLE N -144 24 -80 44 
        END BLOCKDEF
        BEGIN BLOCKDEF Loop_Addr_Stack
            TIMESTAMP 2004 5 11 18 57 16
            RECTANGLE N 0 -256 320 80 
            LINE N 0 -224 -64 -224 
            LINE N 0 -160 -64 -160 
            LINE N 0 -96 -64 -96 
            RECTANGLE N -64 -108 0 -84 
            LINE N 0 -32 -64 -32 
            RECTANGLE N -64 -44 0 -20 
            LINE N -64 32 0 32 
            RECTANGLE N -64 20 0 44 
        END BLOCKDEF
        BEGIN BLOCKDEF Loop_Count_Stack
            TIMESTAMP 2004 5 11 18 57 6
            RECTANGLE N -80 -256 240 80 
            LINE N -80 -224 -144 -224 
            LINE N -80 -160 -144 -160 
            LINE N -80 -96 -144 -96 
            RECTANGLE N -144 -108 -80 -84 
            LINE N -80 -32 -144 -32 
            RECTANGLE N -144 -44 -80 -20 
            LINE N -144 32 -80 32 
            RECTANGLE N -144 20 -80 44 
        END BLOCKDEF
        BEGIN BLOCKDEF Int_Reg
            TIMESTAMP 2004 5 15 2 48 6
            LINE N 64 -96 0 -96 
            LINE N 64 32 0 32 
            LINE N 64 96 0 96 
            LINE N 400 -224 464 -224 
            LINE N 400 -96 464 -96 
            RECTANGLE N 400 -108 464 -84 
            LINE N 400 -160 464 -160 
            RECTANGLE N 400 -172 464 -148 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            LINE N 64 -32 0 -32 
            RECTANGLE N 0 -44 64 -20 
            RECTANGLE N 64 -256 400 128 
        END BLOCKDEF
        BEGIN BLOCKDEF Loop_Registers
            TIMESTAMP 2004 5 15 2 53 38
            RECTANGLE N 16 -1084 480 4 
            LINE N 16 -1056 -48 -1056 
            LINE N 16 -784 -48 -784 
            LINE N 16 -512 -48 -512 
            RECTANGLE N -48 -524 16 -500 
            LINE N 16 -240 -48 -240 
            RECTANGLE N -48 -252 16 -228 
            LINE N 480 -1056 544 -1056 
            RECTANGLE N 480 -1068 544 -1044 
            LINE N 480 -992 544 -992 
            RECTANGLE N 480 -1004 544 -980 
            LINE N 480 -928 544 -928 
            RECTANGLE N 480 -940 544 -916 
            LINE N 480 -864 544 -864 
            RECTANGLE N 480 -876 544 -852 
            LINE N 480 -800 544 -800 
            RECTANGLE N 480 -812 544 -788 
            LINE N 480 -736 544 -736 
            RECTANGLE N 480 -748 544 -724 
            LINE N 480 -672 544 -672 
            RECTANGLE N 480 -684 544 -660 
            LINE N 480 -608 544 -608 
            RECTANGLE N 480 -620 544 -596 
            LINE N 480 -544 544 -544 
            RECTANGLE N 480 -556 544 -532 
            LINE N 480 -480 544 -480 
            RECTANGLE N 480 -492 544 -468 
            LINE N 480 -416 544 -416 
            RECTANGLE N 480 -428 544 -404 
            LINE N 480 -352 544 -352 
            RECTANGLE N 480 -364 544 -340 
            LINE N 480 -288 544 -288 
            RECTANGLE N 480 -300 544 -276 
            LINE N 480 -224 544 -224 
            RECTANGLE N 480 -236 544 -212 
            LINE N 480 -160 544 -160 
            RECTANGLE N 480 -172 544 -148 
            LINE N 480 -96 544 -96 
            RECTANGLE N 480 -108 544 -84 
            LINE N 480 -32 544 -32 
            RECTANGLE N 480 -44 544 -20 
        END BLOCKDEF
        BEGIN BLOCKDEF progmemcore
            TIMESTAMP 2004 5 15 3 31 58
            RECTANGLE N 64 0 400 304 
            LINE N 0 272 64 272 
            LINE N 64 32 0 32 
            RECTANGLE N 0 20 64 44 
            LINE N 64 80 0 80 
            RECTANGLE N 0 68 64 92 
            LINE N 64 224 0 224 
            RECTANGLE N 0 212 64 236 
            LINE N 464 32 400 32 
            RECTANGLE N 400 20 464 44 
            LINE N 464 80 400 80 
            RECTANGLE N 400 68 464 92 
            LINE N 0 128 64 128 
            LINE N 0 176 64 176 
        END BLOCKDEF
        BEGIN BLOCKDEF pattern_mem
            TIMESTAMP 2004 5 15 3 26 58
            RECTANGLE N 64 0 400 304 
            LINE N 0 128 64 128 
            LINE N 0 176 64 176 
            LINE N 0 272 64 272 
            LINE N 64 32 0 32 
            RECTANGLE N 0 20 64 44 
            LINE N 64 80 0 80 
            RECTANGLE N 0 68 64 92 
            LINE N 64 224 0 224 
            RECTANGLE N 0 212 64 236 
            LINE N 464 32 400 32 
            RECTANGLE N 400 20 464 44 
            LINE N 464 80 400 80 
            RECTANGLE N 400 68 464 92 
        END BLOCKDEF
        BEGIN BLOCKDEF Clock_Divide
            TIMESTAMP 2004 5 14 23 6 28
            LINE N 64 -160 0 -160 
            LINE N 64 -112 0 -112 
            LINE N 64 -64 0 -64 
            RECTANGLE N 0 -76 64 -52 
            LINE N 320 -160 384 -160 
            RECTANGLE N 64 -192 320 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF bufg
            TIMESTAMP 2001 2 2 12 22 16
            LINE N 64 -64 64 0 
            LINE N 128 -32 64 -64 
            LINE N 64 0 128 -32 
            LINE N 224 -32 128 -32 
            LINE N 0 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF pattern_stack
            TIMESTAMP 2004 5 14 1 51 26
            RECTANGLE N 64 -256 400 80 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -32 0 -32 
            RECTANGLE N 0 -44 64 -20 
            LINE N 0 48 64 48 
            RECTANGLE N 0 36 64 60 
        END BLOCKDEF
        BEGIN BLOCKDEF SyncLogic
            TIMESTAMP 2007 4 3 19 55 43
            LINE N 64 -352 0 -352 
            LINE N 416 -224 352 -224 
            LINE N 352 -352 416 -352 
            RECTANGLE N 64 -384 352 -160 
            LINE N 352 -288 416 -288 
            LINE N 64 -192 0 -192 
            RECTANGLE N 0 -204 64 -180 
        END BLOCKDEF
        BEGIN BLOCKDEF NOAO_tblock
            TIMESTAMP 2004 8 29 16 35 26
            LINE N -96 -96 -1440 -96 
            LINE N -1440 -160 -1440 -96 
            LINE N -96 -160 -1440 -160 
            LINE N -96 -100 -96 -540 
            LINE N -96 -352 -1440 -352 
            LINE N -96 -224 -736 -224 
            LINE N -1440 -544 -96 -544 
            LINE N -1440 -160 -1440 -544 
            LINE N -1440 -224 -96 -224 
            LINE N -1040 -224 -1040 -92 
            LINE N -640 -224 -640 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF Event_Register
            TIMESTAMP 2005 10 28 20 23 15
            RECTANGLE N 64 -256 400 0 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -32 0 -32 
            RECTANGLE N 0 -44 64 -20 
            LINE N 400 -224 464 -224 
            RECTANGLE N 400 -236 464 -212 
        END BLOCKDEF
        BEGIN BLOCKDEF DecodeExecuteV31
            TIMESTAMP 2005 10 28 20 28 29
            LINE N -240 208 -304 208 
            RECTANGLE N -304 196 -240 220 
            LINE N 384 32 320 32 
            LINE N -240 -656 -304 -656 
            RECTANGLE N -304 -668 -240 -644 
            LINE N -304 -704 -240 -704 
            RECTANGLE N -304 -716 -240 -692 
            LINE N 320 -32 384 -32 
            LINE N -240 -800 -304 -800 
            LINE N -240 256 -304 256 
            RECTANGLE N -304 244 -240 268 
            LINE N -240 304 -304 304 
            RECTANGLE N -304 292 -240 316 
            LINE N -240 352 -304 352 
            RECTANGLE N -304 340 -240 364 
            LINE N 320 256 384 256 
            RECTANGLE N 320 244 384 268 
            LINE N 320 304 384 304 
            RECTANGLE N 320 292 384 316 
            LINE N 320 208 384 208 
            RECTANGLE N 320 196 384 220 
            LINE N -240 -320 -304 -320 
            RECTANGLE N -304 -332 -240 -308 
            LINE N -240 -288 -304 -288 
            RECTANGLE N -304 -300 -240 -276 
            LINE N -240 -256 -304 -256 
            RECTANGLE N -304 -268 -240 -244 
            LINE N -240 -224 -304 -224 
            RECTANGLE N -304 -236 -240 -212 
            LINE N -240 -192 -304 -192 
            RECTANGLE N -304 -204 -240 -180 
            LINE N -240 -160 -304 -160 
            RECTANGLE N -304 -172 -240 -148 
            LINE N -240 -128 -304 -128 
            RECTANGLE N -304 -140 -240 -116 
            LINE N -240 -96 -304 -96 
            RECTANGLE N -304 -108 -240 -84 
            LINE N -240 -64 -304 -64 
            RECTANGLE N -304 -76 -240 -52 
            LINE N -240 -32 -304 -32 
            RECTANGLE N -304 -44 -240 -20 
            LINE N -240 0 -304 0 
            RECTANGLE N -304 -12 -240 12 
            LINE N -240 32 -304 32 
            RECTANGLE N -304 20 -240 44 
            LINE N -240 64 -304 64 
            RECTANGLE N -304 52 -240 76 
            LINE N -240 96 -304 96 
            RECTANGLE N -304 84 -240 108 
            LINE N -240 128 -304 128 
            RECTANGLE N -304 116 -240 140 
            LINE N -240 160 -304 160 
            RECTANGLE N -304 148 -240 172 
            LINE N 380 -96 316 -96 
            LINE N 320 -256 384 -256 
            LINE N 320 -144 384 -144 
            LINE N 320 -208 384 -208 
            RECTANGLE N 320 -220 384 -196 
            LINE N -240 -464 -304 -464 
            LINE N -240 -560 -304 -560 
            RECTANGLE N -304 -572 -240 -548 
            RECTANGLE N -304 -476 -240 -452 
            LINE N -240 -752 -304 -752 
            LINE N 384 -448 320 -448 
            RECTANGLE N 320 -460 384 -436 
            LINE N 384 -320 320 -320 
            RECTANGLE N 320 -332 384 -308 
            LINE N 384 -592 320 -592 
            RECTANGLE N 320 -604 384 -580 
            LINE N 320 -784 384 -784 
            LINE N -304 -512 -240 -512 
            RECTANGLE N -304 -524 -240 -500 
            LINE N 320 -512 384 -512 
            RECTANGLE N 320 -524 384 -500 
            LINE N 320 -384 384 -384 
            RECTANGLE N 320 -396 384 -372 
            LINE N 320 -720 384 -720 
            RECTANGLE N 320 -732 384 -708 
            LINE N 320 -656 384 -656 
            RECTANGLE N 320 -668 384 -644 
            LINE N -240 -608 -304 -608 
            RECTANGLE N -240 -832 320 384 
            LINE N 320 96 384 96 
        END BLOCKDEF
        BEGIN BLOCKDEF enables_reg_V464
            TIMESTAMP 2007 3 28 14 7 25
            LINE N 464 -288 400 -288 
            LINE N 400 -352 464 -352 
            LINE N 64 -160 0 -160 
            LINE N 464 -224 400 -224 
            LINE N 464 -160 400 -160 
            RECTANGLE N 400 -172 464 -148 
            LINE N 0 -224 64 -224 
            LINE N 0 -288 64 -288 
            LINE N 0 -352 64 -352 
            RECTANGLE N 64 -384 400 -64 
            LINE N 400 -96 464 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF command_reg_v465
            TIMESTAMP 2008 4 9 20 54 32
            LINE N 64 160 0 160 
            LINE N 64 32 0 32 
            LINE N 464 -96 400 -96 
            LINE N 464 -160 400 -160 
            LINE N 400 -224 464 -224 
            RECTANGLE N 400 -236 464 -212 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 96 0 96 
            LINE N 464 32 400 32 
            LINE N 464 -32 400 -32 
            LINE N 400 96 464 96 
            RECTANGLE N 64 -256 400 192 
            LINE N 464 160 400 160 
        END BLOCKDEF
        BEGIN BLOCK MpuLoopCntrStack Loop_Count_Stack
            PIN LcsWrite LSWrite
            PIN SysClk SYSCLK
            PIN LCSPtr(5:0) LCSPtr(5:0)
            PIN LCSWriteData(15:0) LCSWriteData(15:0)
            PIN LCSRdData(15:0) LCSReadData(15:0)
        END BLOCK
        BEGIN BLOCK MpuLoopAddrStack Loop_Addr_Stack
            PIN LASWrite LSWrite
            PIN SysClk SYSCLK
            PIN LASPtr(5:0) LCSPtr(5:0)
            PIN LASWriteData(11:0) LASWriteData(11:0)
            PIN LASRdData(11:0) LASReadData(11:0)
        END BLOCK
        BEGIN BLOCK MpuClockDivider Clock_Divide
            PIN clkin SYSCLK
            PIN sync SYNC_FLAG
            PIN ratio(1:0) DATA_CTL_REG(3:2)
            PIN clkout SeqCLK0
        END BLOCK
        BEGIN BLOCK XLXI_2 bufg
            PIN I SeqCLK0
            PIN O SeqCLK
        END BLOCK
        BEGIN BLOCK MpuIntegrationReg Int_Reg
            PIN write WR_INT_REG
            PIN sysclk SYSCLK
            PIN reset CTL_RST
            PIN enable ENABLE_INT
            PIN pause DATA_CTL_REG(1)
            PIN datain(31:0) DATA_ALL_IN(31:0)
            PIN tc TC
            PIN intreg(31:0) DATA_INT_REG(31:0)
            PIN intctr(31:0) INT_CNTR(31:0)
        END BLOCK
        BEGIN BLOCK MpuPatternPtrStack pattern_stack
            PIN patwrite AddrWrite
            PIN sysclk SYSCLK
            PIN addrptr(5:0) AddrStackPtr(5:0)
            PIN patwritedata(10:0) PatWrData(10:0)
            PIN patreaddata(10:0) PatRdData(10:0)
        END BLOCK
        BEGIN BLOCK MpuPatternMemory pattern_mem
            PIN ADDRA(11:0) ADDR_IN(11:0)
            PIN DINA(15:0) DATA_ALL_IN(15:0)
            PIN WEA WR_PAT
            PIN CLKA SYSCLK
            PIN ADDRB(10:0) PatMemPtr(10:0)
            PIN CLKB SYSCLK
            PIN DOUTA(15:0) DATA_PAT(15:0)
            PIN DOUTB(31:0) SEQ_PAT(31:0)
        END BLOCK
        BEGIN BLOCK MpuProgramMemory progmemcore
            PIN ADDRA(9:0) ProgPtrA(9:0)
            PIN DINA(15:0) DATA_ALL_IN(15:0)
            PIN WEA WR_PROG
            PIN CLKA SYSCLK
            PIN ADDRB(9:0) ProgPtrB(9:0)
            PIN CLKB SYSCLK
            PIN DOUTA(15:0) DATA_PROG(15:0)
            PIN DOUTB(15:0) OPCODEH(15:0)
        END BLOCK
        BEGIN BLOCK MpuCallAddrStack Address_Stack
            PIN addrwrite AddrWrite
            PIN sysclk SYSCLK
            PIN addrptr(5:0) AddrStackPtr(5:0)
            PIN addrwritedata(11:0) AddrStkWrData(11:0)
            PIN addrrddata(11:0) AddrStkRdData(11:0)
        END BLOCK
        BLOCK XLXI_3 NOAO_tblock
        BEGIN BLOCK MpuLoopRegs Loop_Registers
            PIN sysclk SYSCLK
            PIN loopregwrite WR_LOOP_REGS
            PIN loopregaddr(3:0) ADDR_IN(3:0)
            PIN loopregdatain(15:0) DATA_ALL_IN(15:0)
            PIN loopreg0(15:0) LoopReg0(15:0)
            PIN loopreg1(15:0) LoopReg1(15:0)
            PIN loopreg2(15:0) LoopReg2(15:0)
            PIN loopreg3(15:0) LoopReg3(15:0)
            PIN loopreg4(15:0) LoopReg4(15:0)
            PIN loopreg5(15:0) LoopReg5(15:0)
            PIN loopreg6(15:0) LoopReg6(15:0)
            PIN loopreg7(15:0) LoopReg7(15:0)
            PIN loopreg8(15:0) LoopReg8(15:0)
            PIN loopreg9(15:0) LoopReg9(15:0)
            PIN loopreg10(15:0) LoopReg10(15:0)
            PIN loopreg11(15:0) LoopReg11(15:0)
            PIN loopreg12(15:0) LoopReg12(15:0)
            PIN loopreg13(15:0) LoopReg13(15:0)
            PIN loopreg14(15:0) LoopReg14(15:0)
            PIN loopreg15(15:0) LoopReg15(15:0)
            PIN loopregdataout(15:0) DATA_LOOP_REGS(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_10 DecodeExecuteV31
            PIN SeqCLK SeqCLK
            PIN Reset CTL_RST
            PIN SeqRunFlag DATA_CTL_REG(0)
            PIN AutoCancelFlag AUTOCANCEL
            PIN SeqBusAck SEQ_BUS_ACK
            PIN CmdReg(15:0) DATA_CMD_REG(15:0)
            PIN OPCODEL(15:0) DATA_PROG(15:0)
            PIN OPCODEH(15:0) OPCODEH(15:0)
            PIN LoopReg0(15:0) LoopReg0(15:0)
            PIN LoopReg1(15:0) LoopReg1(15:0)
            PIN LoopReg2(15:0) LoopReg2(15:0)
            PIN LoopReg3(15:0) LoopReg3(15:0)
            PIN LoopReg4(15:0) LoopReg4(15:0)
            PIN LoopReg5(15:0) LoopReg5(15:0)
            PIN LoopReg6(15:0) LoopReg6(15:0)
            PIN LoopReg7(15:0) LoopReg7(15:0)
            PIN LoopReg8(15:0) LoopReg8(15:0)
            PIN LoopReg9(15:0) LoopReg9(15:0)
            PIN LoopReg10(15:0) LoopReg10(15:0)
            PIN LoopReg11(15:0) LoopReg11(15:0)
            PIN LoopReg12(15:0) LoopReg12(15:0)
            PIN LoopReg13(15:0) LoopReg13(15:0)
            PIN LoopReg14(15:0) LoopReg14(15:0)
            PIN LoopReg15(15:0) LoopReg15(15:0)
            PIN PatternData(15:0) SEQ_PAT(15:0)
            PIN PANADDR(15:0) ADDR_IN(15:0)
            PIN PatStackReadData(10:0) PatRdData(10:0)
            PIN LASReadData(11:0) LASReadData(11:0)
            PIN LCSReadData(15:0) LCSReadData(15:0)
            PIN AddrStackReadData(11:0) AddrStkRdData(11:0)
            PIN SeqBusReq SEQ_BUS_REQ
            PIN PatMemPtr(10:0) PatMemPtr(10:0)
            PIN LSPtr(5:0) LCSPtr(5:0)
            PIN AddrStackPtr(5:0) AddrStackPtr(5:0)
            PIN SeqEnablesWrite WRT_ENABLES
            PIN LSWrite LSWrite
            PIN AddrStackWrite AddrWrite
            PIN ProgPtrA(9:0) ProgPtrA(9:0)
            PIN ProgPtrB(9:0) ProgPtrB(9:0)
            PIN PatStackWriteData(10:0) PatWrData(10:0)
            PIN SeqControl(31:18) SEQ_CTL(31:18)
            PIN LASWriteData(11:0) LASWriteData(11:0)
            PIN LCSWriteDAta(15:0) LCSWriteData(15:0)
            PIN AddrStackWriteData(11:0) AddrStkWrData(11:0)
            PIN StatusReg(15:0) STA_REG(15:0)
            PIN LocalSel LocalSelect
        END BLOCK
        BEGIN BLOCK XLXI_7 Event_Register
            PIN SYSCLK SYSCLK
            PIN MCB_SEL LocalSelect
            PIN SEQ_PAT(31:0) SEQ_PAT(31:0)
            PIN SEQ_MODE(1:0) SEQ_CTL(31:30)
            PIN MPU_EVENTS(15:0) MPU_EVENT(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_11 enables_reg_V464
            PIN CLK SeqCLK
            PIN SEQ_RUNNING DATA_CTL_REG(0)
            PIN WRT_ENABLES WRT_ENABLES
            PIN ENABLE_INT ENABLE_INT
            PIN AUTO_CANCEL AUTOCANCEL
            PIN RST_STARTBIT SE_RST
            PIN SYNC_OUT SYNC_EFR
            PIN PWR_SYNCBIT PWR_SYNC
            PIN PATTERN_DATA(31:0) SEQ_PAT(31:0)
        END BLOCK
        BEGIN BLOCK MpuSyncLogic SyncLogic
            PIN SYSCLK SYSCLK
            PIN SYNC_EFR SYNC_EFR
            PIN SYNC_FLAG SYNC_FLAG
            PIN EXT_SYNC SYNC_DHE
            PIN DATA_CTL_REG(15:0) DATA_CTL_REG(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_12 command_reg_v465
            PIN Write WR_CMD_REG
            PIN SysClk SYSCLK
            PIN STNC SYNC_FLAG
            PIN TC TC
            PIN SE_IN SE
            PIN MASTER DATA_CTL_REG(4)
            PIN StartExpRst SE_RST
            PIN Reset CTL_RST
            PIN SeqRunning DATA_CTL_REG(0)
            PIN DataIn(15:0) DATA_ALL_IN(15:0)
            PIN SE_RDY SE_READY
            PIN SE_OUT SE_OUT
            PIN CmdBits(15:0) DATA_CMD_REG(15:0)
            PIN PAUSE DATA_CTL_REG(1)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 5440 3520
        RECTANGLE N 32 32 2800 1620 
        RECTANGLE N 2800 1620 4036 3488 
        RECTANGLE N 32 1620 888 3488 
        RECTANGLE N 888 1620 2800 3488 
        BEGIN INSTANCE MpuLoopCntrStack 3456 2336 R0
        END INSTANCE
        BEGIN BRANCH SYSCLK
            WIRE 3248 2176 3312 2176
            BEGIN DISPLAY 3248 2176 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LSWrite
            WIRE 3248 2112 3312 2112
            BEGIN DISPLAY 3248 2112 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LCSPtr(5:0)
            WIRE 3248 2240 3312 2240
            BEGIN DISPLAY 3248 2240 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LCSWriteData(15:0)
            WIRE 3248 2304 3312 2304
            BEGIN DISPLAY 3248 2304 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LCSReadData(15:0)
            WIRE 3248 2368 3312 2368
            BEGIN DISPLAY 3248 2368 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LSWrite
            WIRE 3280 2800 3344 2800
            BEGIN DISPLAY 3280 2800 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SYSCLK
            WIRE 3280 2864 3344 2864
            BEGIN DISPLAY 3280 2864 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LCSPtr(5:0)
            WIRE 3280 2928 3344 2928
            BEGIN DISPLAY 3280 2928 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LASWriteData(11:0)
            WIRE 3280 2992 3344 2992
            BEGIN DISPLAY 3280 2992 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LASReadData(11:0)
            WIRE 3280 3056 3344 3056
            BEGIN DISPLAY 3280 3056 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SEQ_CTL(31:18)
            WIRE 512 2752 624 2752
        END BRANCH
        BEGIN BRANCH SEQ_PAT(31:0)
            WIRE 512 2800 624 2800
        END BRANCH
        BEGIN BRANCH SEQ_BUS_REQ
            WIRE 512 2848 624 2848
        END BRANCH
        IOMARKER 512 2752 SEQ_CTL(31:18) R180 28
        IOMARKER 512 2800 SEQ_PAT(31:0) R180 28
        IOMARKER 512 2848 SEQ_BUS_REQ R180 28
        BEGIN INSTANCE MpuLoopAddrStack 3408 3024 R0
        END INSTANCE
        RECTANGLE N 2800 32 5408 1620 
        BEGIN BRANCH DATA_ALL_IN(15:0)
            WIRE 352 352 416 352
            BEGIN DISPLAY 352 352 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH CTL_RST
            WIRE 352 288 416 288
            BEGIN DISPLAY 352 288 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SYSCLK
            WIRE 352 224 416 224
            BEGIN DISPLAY 352 224 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH WR_CMD_REG
            WIRE 352 160 416 160
            BEGIN DISPLAY 352 160 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DATA_PROG(15:0)
            WIRE 512 2944 624 2944
        END BRANCH
        BEGIN BRANCH DATA_PAT(15:0)
            WIRE 512 2896 624 2896
        END BRANCH
        IOMARKER 512 2944 DATA_PROG(15:0) R180 28
        IOMARKER 512 2896 DATA_PAT(15:0) R180 28
        BEGIN BRANCH DATA_CMD_REG(15:0)
            WIRE 512 2992 624 2992
        END BRANCH
        BEGIN BRANCH DATA_LOOP_REGS(15:0)
            WIRE 512 3088 624 3088
        END BRANCH
        BEGIN BRANCH DATA_INT_REG(31:0)
            WIRE 512 3040 624 3040
        END BRANCH
        BEGIN BRANCH STA_REG(15:0)
            WIRE 512 3184 624 3184
        END BRANCH
        BEGIN BRANCH INT_CNTR(31:0)
            WIRE 512 3136 624 3136
        END BRANCH
        BEGIN BRANCH SYNC_DHE
            WIRE 512 3232 624 3232
        END BRANCH
        IOMARKER 512 3088 DATA_LOOP_REGS(15:0) R180 28
        IOMARKER 512 3040 DATA_INT_REG(31:0) R180 28
        IOMARKER 512 2992 DATA_CMD_REG(15:0) R180 28
        IOMARKER 512 3184 STA_REG(15:0) R180 28
        IOMARKER 512 3136 INT_CNTR(31:0) R180 28
        IOMARKER 512 3232 SYNC_DHE R180 28
        BEGIN BRANCH WR_PAT
            WIRE 496 1952 624 1952
        END BRANCH
        BEGIN BRANCH WR_LOOP_REGS
            WIRE 496 1856 624 1856
        END BRANCH
        BEGIN BRANCH WR_INT_REG
            WIRE 496 1904 624 1904
        END BRANCH
        BEGIN BRANCH WR_PROG
            WIRE 496 2000 624 2000
        END BRANCH
        BEGIN BRANCH WR_CMD_REG
            WIRE 496 1808 624 1808
        END BRANCH
        BEGIN BRANCH SE
            WIRE 496 2048 528 2048
            WIRE 528 2048 624 2048
            BEGIN DISPLAY 528 2048 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SEQ_BUS_ACK
            WIRE 496 2144 624 2144
        END BRANCH
        BEGIN BRANCH SYSCLK
            WIRE 496 2192 624 2192
        END BRANCH
        IOMARKER 496 1856 WR_LOOP_REGS R180 28
        IOMARKER 496 2000 WR_PROG R180 28
        IOMARKER 496 1904 WR_INT_REG R180 28
        IOMARKER 496 1952 WR_PAT R180 28
        IOMARKER 496 1808 WR_CMD_REG R180 28
        IOMARKER 496 2048 SE R180 28
        IOMARKER 496 2144 SEQ_BUS_ACK R180 28
        IOMARKER 496 2192 SYSCLK R180 28
        BEGIN BRANCH CTL_RST
            WIRE 496 2240 624 2240
        END BRANCH
        BEGIN BRANCH ADDR_IN(15:0)
            WIRE 496 2336 624 2336
        END BRANCH
        BEGIN BRANCH DATA_ALL_IN(31:0)
            WIRE 496 2288 624 2288
        END BRANCH
        BEGIN BRANCH DATA_CTL_REG(15:0)
            WIRE 496 2384 624 2384
        END BRANCH
        IOMARKER 496 2240 CTL_RST R180 28
        IOMARKER 496 2288 DATA_ALL_IN(31:0) R180 28
        IOMARKER 496 2336 ADDR_IN(15:0) R180 28
        IOMARKER 496 2384 DATA_CTL_REG(15:0) R180 28
        BEGIN BRANCH SE_RST
            WIRE 352 416 416 416
            BEGIN DISPLAY 352 416 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SE
            WIRE 352 480 416 480
            BEGIN DISPLAY 352 480 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DATA_CTL_REG(0)
            WIRE 352 544 416 544
            BEGIN DISPLAY 352 544 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DATA_CMD_REG(15:0)
            WIRE 880 160 944 160
            BEGIN DISPLAY 944 160 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH TC
            WIRE 880 224 944 224
            BEGIN DISPLAY 944 224 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SYNC_FLAG
            WIRE 880 288 944 288
            BEGIN DISPLAY 944 288 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DATA_ALL_IN(31:0)
            WIRE 320 880 416 880
            BEGIN DISPLAY 320 880 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SYSCLK
            WIRE 320 752 416 752
            BEGIN DISPLAY 320 752 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH WR_INT_REG
            WIRE 336 688 416 688
            BEGIN DISPLAY 336 688 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE MpuIntegrationReg 416 912 R0
        END INSTANCE
        BEGIN BRANCH DATA_INT_REG(31:0)
            WIRE 880 752 944 752
            BEGIN DISPLAY 944 752 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH TC
            WIRE 880 688 944 688
            BEGIN DISPLAY 944 688 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH CTL_RST
            WIRE 320 816 416 816
            BEGIN DISPLAY 320 816 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ENABLE_INT
            WIRE 320 944 416 944
            BEGIN DISPLAY 320 944 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DATA_CTL_REG(1)
            WIRE 320 1008 416 1008
            BEGIN DISPLAY 320 1008 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH INT_CNTR(31:0)
            WIRE 880 816 944 816
            BEGIN DISPLAY 944 816 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH AddrWrite
            WIRE 2192 2032 2256 2032
            BEGIN DISPLAY 2256 2032 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH AddrStkWrData(11:0)
            WIRE 2192 2160 2256 2160
            BEGIN DISPLAY 2256 2160 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH AddrStkRdData(11:0)
            WIRE 2192 2224 2256 2224
            BEGIN DISPLAY 2256 2224 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LASWriteData(11:0)
            WIRE 2192 2304 2256 2304
            BEGIN DISPLAY 2256 2304 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LASReadData(11:0)
            WIRE 2192 2368 2256 2368
            BEGIN DISPLAY 2256 2368 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LCSWriteData(15:0)
            WIRE 2192 2432 2256 2432
            BEGIN DISPLAY 2256 2432 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LCSReadData(15:0)
            WIRE 2192 2496 2256 2496
            BEGIN DISPLAY 2256 2496 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LSWrite
            WIRE 2192 2560 2256 2560
            BEGIN DISPLAY 2256 2560 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LCSPtr(5:0)
            WIRE 2192 2608 2256 2608
            BEGIN DISPLAY 2256 2608 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SEQ_BUS_REQ
            WIRE 2192 2672 2256 2672
            BEGIN DISPLAY 2256 2672 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SEQ_BUS_ACK
            WIRE 2192 2720 2256 2720
            BEGIN DISPLAY 2256 2720 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH CTL_RST
            WIRE 1440 2064 1504 2064
            BEGIN DISPLAY 1440 2064 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH AddrStackPtr(5:0)
            WIRE 2192 2096 2256 2096
            BEGIN DISPLAY 2256 2096 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg0(15:0)
            WIRE 1440 2496 1504 2496
            BEGIN DISPLAY 1440 2496 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg1(15:0)
            WIRE 1440 2528 1504 2528
            BEGIN DISPLAY 1440 2528 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg2(15:0)
            WIRE 1440 2560 1504 2560
            BEGIN DISPLAY 1440 2560 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg3(15:0)
            WIRE 1440 2592 1504 2592
            BEGIN DISPLAY 1440 2592 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg4(15:0)
            WIRE 1440 2624 1504 2624
            BEGIN DISPLAY 1440 2624 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg5(15:0)
            WIRE 1440 2656 1504 2656
            BEGIN DISPLAY 1440 2656 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg6(15:0)
            WIRE 1440 2688 1504 2688
            BEGIN DISPLAY 1440 2688 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg7(15:0)
            WIRE 1440 2720 1504 2720
            BEGIN DISPLAY 1440 2720 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg8(15:0)
            WIRE 1440 2752 1504 2752
            BEGIN DISPLAY 1440 2752 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg9(15:0)
            WIRE 1440 2784 1504 2784
            BEGIN DISPLAY 1440 2784 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg10(15:0)
            WIRE 1440 2816 1504 2816
            BEGIN DISPLAY 1440 2816 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg11(15:0)
            WIRE 1440 2848 1504 2848
            BEGIN DISPLAY 1440 2848 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg12(15:0)
            WIRE 1440 2880 1504 2880
            BEGIN DISPLAY 1440 2880 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg13(15:0)
            WIRE 1440 2912 1504 2912
            BEGIN DISPLAY 1440 2912 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg14(15:0)
            WIRE 1440 2944 1504 2944
            BEGIN DISPLAY 1440 2944 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg15(15:0)
            WIRE 1440 2976 1504 2976
            BEGIN DISPLAY 1440 2976 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH STA_REG(15:0)
            WIRE 2192 3024 2256 3024
            BEGIN DISPLAY 2256 3024 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DATA_PROG(15:0)
            WIRE 1440 3072 1504 3072
            BEGIN DISPLAY 1440 3072 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH OPCODEH(15:0)
            WIRE 1440 3120 1504 3120
            BEGIN DISPLAY 1440 3120 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ADDR_IN(15:0)
            WIRE 1440 3168 1504 3168
            BEGIN DISPLAY 1440 3168 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ProgPtrA(9:0)
            WIRE 2192 3072 2256 3072
            BEGIN DISPLAY 2256 3072 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ProgPtrB(9:0)
            WIRE 2192 3120 2256 3120
            BEGIN DISPLAY 2256 3120 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH WRT_ENABLES
            WIRE 2192 2784 2256 2784
            BEGIN DISPLAY 2256 2784 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PatWrData(10:0)
            WIRE 1440 2112 1504 2112
            BEGIN DISPLAY 1440 2112 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PatRdData(10:0)
            WIRE 1440 2160 1504 2160
            BEGIN DISPLAY 1440 2160 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH AUTOCANCEL
            WIRE 2192 2848 2256 2848
            BEGIN DISPLAY 2256 2848 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SeqCLK
            WIRE 1440 2016 1504 2016
            BEGIN DISPLAY 1440 2016 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SEQ_PAT(15:0)
            WIRE 1440 3024 1504 3024
            BEGIN DISPLAY 1440 3024 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DATA_CTL_REG(0)
            WIRE 1440 2208 1504 2208
            BEGIN DISPLAY 1440 2208 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PatMemPtr(10:0)
            WIRE 1440 2256 1504 2256
            BEGIN DISPLAY 1440 2256 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SEQ_CTL(31:18)
            WIRE 1440 2304 1504 2304
            BEGIN DISPLAY 1440 2304 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DATA_CMD_REG(15:0)
            WIRE 1440 2352 1504 2352
            BEGIN DISPLAY 1440 2352 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE MpuPatternPtrStack 4256 416 R0
        END INSTANCE
        BEGIN BRANCH AddrWrite
            WIRE 4176 192 4256 192
            BEGIN DISPLAY 4176 192 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SYSCLK
            WIRE 4176 256 4256 256
            BEGIN DISPLAY 4176 256 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH AddrStackPtr(5:0)
            WIRE 4176 320 4256 320
            BEGIN DISPLAY 4176 320 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PatWrData(10:0)
            WIRE 4176 384 4256 384
            BEGIN DISPLAY 4176 384 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PatRdData(10:0)
            WIRE 4176 464 4256 464
            BEGIN DISPLAY 4176 464 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        RECTANGLE N 4036 1620 5408 3012 
        BEGIN INSTANCE MpuPatternMemory 3136 160 R0
            BEGIN DISPLAY 104 -16 ATTR InstName
                FONT 28 "Arial"
            END DISPLAY
        END INSTANCE
        BEGIN BRANCH DATA_ALL_IN(15:0)
            WIRE 3072 240 3136 240
            BEGIN DISPLAY 3072 240 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ADDR_IN(11:0)
            WIRE 3072 192 3136 192
            BEGIN DISPLAY 3072 192 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH WR_PAT
            WIRE 3072 288 3136 288
            BEGIN DISPLAY 3072 288 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SYSCLK
            WIRE 3072 336 3136 336
            BEGIN DISPLAY 3072 336 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PatMemPtr(10:0)
            WIRE 3072 384 3136 384
            BEGIN DISPLAY 3072 384 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DATA_PAT(15:0)
            WIRE 3600 192 3664 192
            BEGIN DISPLAY 3664 192 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SEQ_PAT(31:0)
            WIRE 3600 240 3664 240
            BEGIN DISPLAY 3664 240 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SYSCLK
            WIRE 3072 432 3136 432
            BEGIN DISPLAY 3072 432 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN DISPLAY 2952 564 TEXT "PATTERN MEMORY (2048 x 32/ 4096 x 16)"
            FONT 44 "Arial"
        END DISPLAY
        BEGIN INSTANCE MpuProgramMemory 3136 720 R0
            BEGIN DISPLAY 88 -16 ATTR InstName
                FONT 28 "Arial"
            END DISPLAY
        END INSTANCE
        BEGIN BRANCH DATA_ALL_IN(15:0)
            WIRE 3072 800 3136 800
            BEGIN DISPLAY 3072 800 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ProgPtrA(9:0)
            WIRE 3072 752 3136 752
            BEGIN DISPLAY 3072 752 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH WR_PROG
            WIRE 3072 848 3136 848
            BEGIN DISPLAY 3072 848 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SYSCLK
            WIRE 3072 896 3136 896
            BEGIN DISPLAY 3072 896 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ProgPtrB(9:0)
            WIRE 3072 944 3136 944
            BEGIN DISPLAY 3072 944 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SYSCLK
            WIRE 3072 992 3136 992
            BEGIN DISPLAY 3072 992 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DATA_PROG(15:0)
            WIRE 3600 752 3664 752
            BEGIN DISPLAY 3664 752 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH OPCODEH(15:0)
            WIRE 3600 800 3664 800
            BEGIN DISPLAY 3664 800 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN DISPLAY 2924 1096 TEXT "PROGRAM MEMORY (1024 x 16 / 1024 x 16)"
            FONT 44 "Arial"
        END DISPLAY
        BEGIN BRANCH AddrWrite
            WIRE 4224 752 4256 752
            BEGIN DISPLAY 4224 752 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SYSCLK
            WIRE 4224 816 4256 816
            BEGIN DISPLAY 4224 816 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH AddrStackPtr(5:0)
            WIRE 4224 880 4256 880
            BEGIN DISPLAY 4224 880 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH AddrStkWrData(11:0)
            WIRE 4224 944 4256 944
            BEGIN DISPLAY 4224 944 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH AddrStkRdData(11:0)
            WIRE 4224 1008 4256 1008
            BEGIN DISPLAY 4224 1008 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE MpuCallAddrStack 4400 976 R0
        END INSTANCE
        BEGIN DISPLAY 3900 1160 TEXT "ADDRESS & PATTERN PTR STACK"
            FONT 64 "Arial"
        END DISPLAY
        INSTANCE XLXI_2 4688 1760 R0
        BEGIN BRANCH SeqCLK0
            WIRE 4480 1728 4688 1728
            BEGIN DISPLAY 4480 1728 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SeqCLK
            WIRE 4912 1728 5120 1728
            BEGIN DISPLAY 5120 1728 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE MpuClockDivider 4640 2128 R0
        END INSTANCE
        BEGIN BRANCH SYSCLK
            WIRE 4480 1968 4640 1968
            BEGIN DISPLAY 4480 1968 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SeqCLK0
            WIRE 5024 1968 5120 1968
            BEGIN DISPLAY 5120 1968 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SYNC_FLAG
            WIRE 4480 2016 4640 2016
            BEGIN DISPLAY 4480 2016 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DATA_CTL_REG(3:2)
            WIRE 4480 2064 4640 2064
            BEGIN DISPLAY 4480 2064 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_3 5504 3584 R0
        BEGIN DISPLAY 4552 3392 TEXT "Peter Moore"
            FONT 32 "Arial"
        END DISPLAY
        BEGIN DISPLAY 4556 3456 TEXT 4.65
            FONT 28 "Arial"
        END DISPLAY
        BEGIN DISPLAY 5016 3460 TEXT 2
            FONT 28 "Arial"
        END DISPLAY
        BEGIN DISPLAY 5236 3460 TEXT 2
            FONT 28 "Arial"
        END DISPLAY
        BEGIN DISPLAY 4180 3268 TEXT "MONSOON Master Control Board - Sequencer FPGA (U22)"
            FONT 48 "Arial"
        END DISPLAY
        BEGIN DISPLAY 4344 3324 TEXT "4-BIT MPU BASED SEQUENCER"
            FONT 56 "Arial"
        END DISPLAY
        BEGIN DISPLAY 4196 3452 TEXT 08/06/2007
            FONT 32 "Arial"
        END DISPLAY
        BEGIN DISPLAY 4472 2948 TEXT "CLOCK AND SYNC LOGIC"
            FONT 64 "Arial"
        END DISPLAY
        BEGIN DISPLAY 3164 3404 TEXT "LOOP  CONTROL STACK"
            FONT 64 "Arial"
        END DISPLAY
        BEGIN DISPLAY 1504 3404 TEXT "DECODE EXECUTION UNIT"
            FONT 64 "Arial"
        END DISPLAY
        BEGIN DISPLAY 296 3412 TEXT OUTPUTS
            FONT 64 "Arial"
        END DISPLAY
        BEGIN DISPLAY 3804 1544 TEXT "MEMORY MODULES"
            FONT 64 "Arial"
        END DISPLAY
        BEGIN BRANCH SEQ_PAT(31:0)
            WIRE 880 1344 960 1344
            WIRE 960 1344 976 1344
            BEGIN DISPLAY 976 1344 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DATA_CTL_REG(0)
            WIRE 880 1216 944 1216
            WIRE 944 1216 960 1216
            BEGIN DISPLAY 960 1216 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH AUTOCANCEL
            WIRE 880 1152 944 1152
            WIRE 944 1152 960 1152
            BEGIN DISPLAY 960 1152 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH WRT_ENABLES
            WIRE 880 1280 960 1280
            WIRE 960 1280 976 1280
            BEGIN DISPLAY 976 1280 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SeqCLK
            WIRE 320 1344 336 1344
            WIRE 336 1344 416 1344
            BEGIN DISPLAY 320 1344 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ENABLE_INT
            WIRE 320 1280 336 1280
            WIRE 336 1280 416 1280
            BEGIN DISPLAY 320 1280 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SE_RST
            WIRE 320 1216 336 1216
            WIRE 336 1216 416 1216
            BEGIN DISPLAY 320 1216 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SYNC_EFR
            WIRE 320 1152 336 1152
            WIRE 336 1152 416 1152
            BEGIN DISPLAY 320 1152 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE MpuLoopRegs 1584 1168 R0
        END INSTANCE
        BEGIN BRANCH DATA_LOOP_REGS(15:0)
            WIRE 2128 112 2192 112
            BEGIN DISPLAY 2192 112 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg0(15:0)
            WIRE 2128 176 2192 176
            BEGIN DISPLAY 2192 176 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg1(15:0)
            WIRE 2128 240 2192 240
            BEGIN DISPLAY 2192 240 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg2(15:0)
            WIRE 2128 304 2192 304
            BEGIN DISPLAY 2192 304 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg3(15:0)
            WIRE 2128 368 2192 368
            BEGIN DISPLAY 2192 368 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg4(15:0)
            WIRE 2128 432 2192 432
            BEGIN DISPLAY 2192 432 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg5(15:0)
            WIRE 2128 496 2192 496
            BEGIN DISPLAY 2192 496 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg6(15:0)
            WIRE 2128 560 2192 560
            BEGIN DISPLAY 2192 560 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg7(15:0)
            WIRE 2128 624 2192 624
            BEGIN DISPLAY 2192 624 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg8(15:0)
            WIRE 2128 688 2192 688
            BEGIN DISPLAY 2192 688 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg9(15:0)
            WIRE 2128 752 2192 752
            BEGIN DISPLAY 2192 752 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg10(15:0)
            WIRE 2128 816 2192 816
            BEGIN DISPLAY 2192 816 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg11(15:0)
            WIRE 2128 880 2192 880
            BEGIN DISPLAY 2192 880 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg12(15:0)
            WIRE 2128 944 2192 944
            BEGIN DISPLAY 2192 944 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg13(15:0)
            WIRE 2128 1008 2192 1008
            BEGIN DISPLAY 2192 1008 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg14(15:0)
            WIRE 2128 1072 2192 1072
            BEGIN DISPLAY 2192 1072 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LoopReg15(15:0)
            WIRE 2128 1136 2192 1136
            BEGIN DISPLAY 2192 1136 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DATA_ALL_IN(15:0)
            WIRE 1472 928 1536 928
            BEGIN DISPLAY 1472 928 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ADDR_IN(3:0)
            WIRE 1472 656 1536 656
            BEGIN DISPLAY 1472 656 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH WR_LOOP_REGS
            WIRE 1472 384 1536 384
            BEGIN DISPLAY 1472 384 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SYSCLK
            WIRE 1472 112 1536 112
            BEGIN DISPLAY 1472 112 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN DISPLAY 240 1532 TEXT "CONFIGURATION REGISTERS"
            FONT 64 "Arial"
        END DISPLAY
        BEGIN BRANCH MPU_EVENT(15:0)
            WIRE 512 2688 624 2688
        END BRANCH
        IOMARKER 512 2688 MPU_EVENT(15:0) R180 28
        BEGIN INSTANCE XLXI_10 1808 2816 R0
        END INSTANCE
        BEGIN BRANCH LocalSelect
            WIRE 2192 2912 2256 2912
            BEGIN DISPLAY 2256 2912 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_7 1648 1552 R0
        END INSTANCE
        BEGIN BRANCH SYSCLK
            WIRE 1584 1328 1648 1328
            BEGIN DISPLAY 1584 1328 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LocalSelect
            WIRE 1584 1392 1648 1392
            BEGIN DISPLAY 1584 1392 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SEQ_PAT(31:0)
            WIRE 1584 1456 1648 1456
            BEGIN DISPLAY 1584 1456 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH MPU_EVENT(15:0)
            WIRE 2112 1328 2192 1328
            BEGIN DISPLAY 2192 1328 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SEQ_CTL(31:18)
            WIRE 1392 1520 1456 1520
            BEGIN DISPLAY 1392 1520 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BUSTAP 1456 1520 1552 1520
        BEGIN BRANCH SEQ_CTL(31:30)
            WIRE 1552 1520 1584 1520
            WIRE 1584 1520 1648 1520
            BEGIN DISPLAY 1584 1520 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_11 416 1504 R0
        END INSTANCE
        BEGIN BRANCH PWR_SYNC
            WIRE 880 1408 960 1408
            WIRE 960 1408 976 1408
            BEGIN DISPLAY 976 1408 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PWR_SYNC
            WIRE 512 3280 624 3280
        END BRANCH
        IOMARKER 512 3280 PWR_SYNC R180 28
        BEGIN BRANCH WRT_ENABLES
            WIRE 512 3328 624 3328
        END BRANCH
        IOMARKER 512 3328 WRT_ENABLES R180 28
        BEGIN BRANCH SYSCLK
            WIRE 4480 2384 4624 2384
            BEGIN DISPLAY 4480 2384 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SYNC_FLAG
            WIRE 5040 2384 5120 2384
            BEGIN DISPLAY 5120 2384 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SYNC_EFR
            WIRE 5040 2512 5120 2512
            BEGIN DISPLAY 5120 2512 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DATA_CTL_REG(15:0)
            WIRE 4480 2544 4624 2544
            BEGIN DISPLAY 4480 2544 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SYNC_DHE
            WIRE 5040 2448 5120 2448
            BEGIN DISPLAY 5120 2448 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE MpuSyncLogic 4624 2736 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_12 416 384 R0
        END INSTANCE
        BEGIN BRANCH DATA_CTL_REG(4)
            WIRE 880 416 944 416
            BEGIN DISPLAY 944 416 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SE_READY
            WIRE 880 352 944 352
            BEGIN DISPLAY 944 352 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SE_OUT
            WIRE 880 480 944 480
            BEGIN DISPLAY 944 480 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN DISPLAY 300 2448 TEXT INPUTS
            FONT 64 "Arial"
        END DISPLAY
        BEGIN BRANCH SE_OUT
            WIRE 512 2624 624 2624
        END BRANCH
        IOMARKER 512 2624 SE_OUT R180 28
        BEGIN BRANCH SE_READY
            WIRE 512 1760 624 1760
        END BRANCH
        IOMARKER 512 1760 SE_READY R180 28
        BEGIN BRANCH DATA_CTL_REG(1)
            WIRE 880 544 944 544
            BEGIN DISPLAY 944 544 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
    END SHEET
END SCHEMATIC
